Index: general.ent
===================================================================
--- general.ent	(revision b4ea5938af092d1d12df6500af9102eca7a712c4)
+++ general.ent	(revision 9924aaa9f53a2ad788effd3356166f3368c31405)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "28">                   <!-- Always 2 digits -->
+<!ENTITY day          "29">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2015">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "November 28th &year;">
+<!ENTITY releasedate  "November 29th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision b4ea5938af092d1d12df6500af9102eca7a712c4)
+++ general/graphlib/freetype2.xml	(revision 9924aaa9f53a2ad788effd3356166f3368c31405)
@@ -7,13 +7,13 @@
   <!ENTITY freetype2-download-http "&sourceforge-repo;/freetype/freetype-&freetype2-version;.tar.bz2">
   <!ENTITY freetype2-download-ftp  "&gentoo-ftp-repo;/freetype-&freetype2-version;.tar.bz2">
-  <!ENTITY freetype2-md5sum        "35cb8f4d9e5906847901bb39324c2f80">
+  <!ENTITY freetype2-md5sum        "86109d0c998787d81ac582bad9adf82e">
   <!ENTITY freetype2-size          "1.7 MB">
-  <!ENTITY freetype2-buildsize     "33 MB (includes installing additional documentation)">
+  <!ENTITY freetype2-buildsize     "34 MB (includes installing additional documentation)">
   <!ENTITY freetype2-time          "0.2 SBU (includes installing additional documentation)">
 
-  <!ENTITY freetype2-doc-version   "2.6.1">
+  <!ENTITY freetype2-doc-version   "2.6.2">
   <!ENTITY freetype2-doc-download-http "&sourceforge-repo;/freetype/freetype-doc-&freetype2-doc-version;.tar.bz2">
   <!ENTITY freetype2-doc-download-ftp  "&gentoo-ftp-repo;/freetype-doc-&freetype2-doc-version;.tar.bz2">
-  <!ENTITY freetype2-doc-md5sum        "9a6f668a2bef1ac3f65c619af22a17bc">
+  <!ENTITY freetype2-doc-md5sum        "22bd94ab15fc4b434e20161b866d7c3e">
   <!ENTITY freetype2-doc-size          "468 KB">
 ]>
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision b4ea5938af092d1d12df6500af9102eca7a712c4)
+++ general/prog/perl-modules.xml	(revision 9924aaa9f53a2ad788effd3356166f3368c31405)
@@ -104,5 +104,5 @@
 
   <!ENTITY Unicode-LineBreak-download-http "http://www.cpan.org/authors/id/N/NE/NEZUMI/Unicode-LineBreak-&Unicode-LineBreak-version;.tar.gz">
-  <!ENTITY Unicode-LineBreak-md5sum "fd8eb57f5d613bafb72bf23f9e81ab2b">
+  <!ENTITY Unicode-LineBreak-md5sum "44d8d9291f90fb8c3359d37fcf00bee5">
 
   <!ENTITY URI-download-http "http://www.cpan.org/authors/id/E/ET/ETHER/URI-&URI-version;.tar.gz">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b4ea5938af092d1d12df6500af9102eca7a712c4)
+++ introduction/welcome/changelog.xml	(revision 9924aaa9f53a2ad788effd3356166f3368c31405)
@@ -44,4 +44,30 @@
 
 -->
+
+    <listitem>
+      <para>November 29th, 2015</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to libisoburn-1.4.2. Fixes
+          <ulink url="&blfs-ticket-root;7190">#7190</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to libburn-1.4.2. Fixes
+          <ulink url="&blfs-ticket-root;7189">#7189</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to libisofs-1.4.2. Fixes
+          <ulink url="&blfs-ticket-root;7188">#7188</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to Unicode-LineBreak-2015.12 (perl module).
+          Fixes <ulink url="&blfs-ticket-root;7187">#7187</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to freetype-2.6.2 and freetype-doc-2.6.2.
+          Fixes <ulink url="&blfs-ticket-root;7186">#7186</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: multimedia/cdwriteutils/libburn.xml
===================================================================
--- multimedia/cdwriteutils/libburn.xml	(revision b4ea5938af092d1d12df6500af9102eca7a712c4)
+++ multimedia/cdwriteutils/libburn.xml	(revision 9924aaa9f53a2ad788effd3356166f3368c31405)
@@ -8,7 +8,7 @@
            "http://files.libburnia-project.org/releases/libburn-&libburn-version;.tar.gz">
   <!ENTITY libburn-download-ftp  " ">
-  <!ENTITY libburn-md5sum        "82ff94bb04e78eac9b12c7546f005d6f">
+  <!ENTITY libburn-md5sum        "cb1cc7c096bd9a2e059fe1fec994c5b4">
   <!ENTITY libburn-size          "948 KB">
-  <!ENTITY libburn-buildsize     "18 MB">
+  <!ENTITY libburn-buildsize     "17 MB">
   <!ENTITY libburn-time          "0.1 SBU">
 ]>
Index: multimedia/cdwriteutils/libisoburn.xml
===================================================================
--- multimedia/cdwriteutils/libisoburn.xml	(revision b4ea5938af092d1d12df6500af9102eca7a712c4)
+++ multimedia/cdwriteutils/libisoburn.xml	(revision 9924aaa9f53a2ad788effd3356166f3368c31405)
@@ -8,7 +8,7 @@
            "http://files.libburnia-project.org/releases/libisoburn-&libisoburn-version;.tar.gz">
   <!ENTITY libisoburn-download-ftp  " ">
-  <!ENTITY libisoburn-md5sum        "77bc6bcbe023ccd0fb210e341606dfbf">
-  <!ENTITY libisoburn-size          "1.4 MB">
-  <!ENTITY libisoburn-buildsize     "22 MB (with Tk and HTML documentation)">
+  <!ENTITY libisoburn-md5sum        "6cfed3152b3273b3717e2ef06cf9b25d">
+  <!ENTITY libisoburn-size          "1.5 MB">
+  <!ENTITY libisoburn-buildsize     "23 MB (with Tk and HTML documentation)">
   <!ENTITY libisoburn-time          "0.2 SBU (with Tk and HTML documentation)">
 ]>
Index: multimedia/cdwriteutils/libisofs.xml
===================================================================
--- multimedia/cdwriteutils/libisofs.xml	(revision b4ea5938af092d1d12df6500af9102eca7a712c4)
+++ multimedia/cdwriteutils/libisofs.xml	(revision 9924aaa9f53a2ad788effd3356166f3368c31405)
@@ -8,8 +8,8 @@
            "http://files.libburnia-project.org/releases/libisofs-&libisofs-version;.tar.gz">
   <!ENTITY libisofs-download-ftp  " ">
-  <!ENTITY libisofs-md5sum        "394f9025d40b5f9b1b884a72bfaf5bed">
-  <!ENTITY libisofs-size          "800 KB">
+  <!ENTITY libisofs-md5sum        "c01099ebe557eea28fe2b0c061076129">
+  <!ENTITY libisofs-size          "804 KB">
   <!ENTITY libisofs-buildsize     "13 MB">
-  <!ENTITY libisofs-time          "0.2 SBU">
+  <!ENTITY libisofs-time          "0.1 SBU">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision b4ea5938af092d1d12df6500af9102eca7a712c4)
+++ packages.ent	(revision 9924aaa9f53a2ad788effd3356166f3368c31405)
@@ -159,5 +159,5 @@
 <!ENTITY babl-version                 "0.1.14">
 <!ENTITY exiv2-version                "0.25">
-<!ENTITY freetype2-version            "2.6.1">
+<!ENTITY freetype2-version            "2.6.2">
 <!ENTITY fontconfig-version           "2.11.1">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "0.19.7">
@@ -329,5 +329,5 @@
 <!ENTITY Text-Roman-version           "3.5">
 <!ENTITY Unicode-Collate-version      "1.14">
-<!ENTITY Unicode-LineBreak-version    "2015.11">
+<!ENTITY Unicode-LineBreak-version    "2015.12">
 <!ENTITY URI-version                  "1.69">
 <!ENTITY XML-LibXML-Simple-version    "0.95">
@@ -758,7 +758,7 @@
 <!ENTITY dvd-rw-tools-version         "7.1">
 <!ENTITY k3b-version                  "2.0.3">
-<!ENTITY libburn-version              "1.4.0">
-<!ENTITY libisoburn-version           "1.4.0">
-<!ENTITY libisofs-version             "1.4.0">
+<!ENTITY libburn-version              "1.4.2">
+<!ENTITY libisoburn-version           "1.4.2">
+<!ENTITY libisofs-version             "1.4.2">
 <!ENTITY simpleburn-version           "1.6.5">
 