Index: general.ent
===================================================================
--- general.ent	(revision 4e0ea3c022eea769d358ccf6d7a1d7fb3eb93634)
+++ general.ent	(revision 9945e317b04573503a2a212581186aaf2538736d)
@@ -907,4 +907,5 @@
 <!ENTITY gimp-version                 "2.6.12">
 <!ENTITY icedtea-web-version          "1.0.1">
+<!ENTITY inkscape-version             "0.48.2">
 <!ENTITY pan-version                  "0.133">
 <!ENTITY pidgin-version               "2.10.2">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4e0ea3c022eea769d358ccf6d7a1d7fb3eb93634)
+++ introduction/welcome/changelog.xml	(revision 9945e317b04573503a2a212581186aaf2538736d)
@@ -43,4 +43,13 @@
 -->
     <listitem>
+      <para>March 31st, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[abenton] - Added Inkscape 0.48.2.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>March 30th, 2012</para>
       <itemizedlist>
Index: xsoft/other/inkscape.xml
===================================================================
--- xsoft/other/inkscape.xml	(revision 9945e317b04573503a2a212581186aaf2538736d)
+++ xsoft/other/inkscape.xml	(revision 9945e317b04573503a2a212581186aaf2538736d)
@@ -0,0 +1,236 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY inkscape-download-http "&sourceforge-repo;/inkscape/inkscape-&inkscape-version;.tar.bz2">
+  <!ENTITY inkscape-download-ftp  " ">
+  <!ENTITY inkscape-md5sum        "f60b98013bd1121b2cc301f3485076ba">
+  <!ENTITY inkscape-size          "18.7 MB">
+  <!ENTITY inkscape-buildsize     "1.9 GB">
+  <!ENTITY inkscape-time          "16 SBU">
+]>
+
+<sect1 id="inkscape" xreflabel="Inkscape-&inkscape-version;">
+  <?dbhtml filename="inkscape.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Inkscape-&inkscape-version;</title>
+
+  <indexterm zone="inkscape">
+    <primary sortas="a-inkscape">Inkscape</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Inkscape</title>
+
+    <para>
+      <application>Inkscape</application> is a what you see is what you get
+      Scalable Vector Graphics editor. It is useful for creating, viewing and
+      changing SVG images.
+    </para>
+
+    &lfs71_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&inkscape-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&inkscape-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &inkscape-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &inkscape-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &inkscape-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &inkscape-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/inkscape-&inkscape-version;_gcc-4.7-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Inkscape Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gtkmm2"/>,
+      <xref linkend="gc"/>,
+      <!-- <xref linkend="gsl"/>, -->
+      <ulink url="http://ftp.gnu.org/pub/gnu/gsl/">Gsl</ulink>
+      <xref linkend="boost"/>,
+      <xref linkend="libpng"/> and
+      <xref linkend="intltool"/>.
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="lcms"/>,
+      <xref linkend="poppler"/>,
+      <xref linkend="gnome-vfs"/>,
+      <xref linkend="imagemagick"/>,
+      <xref linkend="intltool"/>,
+      <xref linkend="popt"/>,
+      <xref linkend="doxygen"/>,
+      <xref linkend="aspell"/> and
+      <ulink url="http://libwpg.sourceforge.net/">Libwpg</ulink>.
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/inkscape"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Inkscape</title>
+
+    <para>
+      Fix a bug that would otherwise prevent compiling with
+      <application>Libpng 1.5</application>:
+    </para>
+
+<screen><userinput>sed -i 's/ptr->jmpbuf/jmpbuf(png_ptr)/' \
+    src/{extension/internal/pdfinput/svg-builder,helper/png-write}.cpp</userinput></screen>
+
+    <para>
+      Fix a bug that would otherwise prevent compiling with
+      <application>Libpng 1.5.7</application> or greater:
+    </para>
+
+<screen><userinput>sed -i 's#if ( png_get_iCCP.*#if (0) {#' src/sp-image.cpp</userinput></screen>
+
+    <para>
+      If you have <emphasis>not</emphasis> installed <xref linkend="lcms"/> fix
+      a bug that will otherwise break the build:
+    </para>
+
+<screen><userinput>sed -i '/&lt;io\/sys.h&gt;/d
+    /preferences.h/a#include "io/sys.h"' src/color-profile.cpp</userinput></screen>
+
+    <para>
+      Fix a bug that would otherwise prevent compiling with
+      <application>Gcc 4.7</application>:
+    </para>
+
+<screen><userinput>patch -p1 &lt; ../inkscape-&inkscape-version;_gcc-4.7-1.patch</userinput></screen>
+
+    <para>
+      Fix many bugs that would otherwise prevent compiling with
+      <application>Glib 3.2</application> or greater:
+    </para>
+
+<screen><userinput>for thing in array convert dir error fileutils hash list macros main mem \
+    messages quark slist strfuncs string types urifuncs utils
+do sed -i "/^#include /s#/g${thing}##" $(grep -rl "include .glib/g${thing}" .)
+done</userinput></screen>
+
+    <para>
+      Install <application>Inkscape</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-lcms &amp;&amp;
+make</userinput></screen>
+
+    <!--
+    <para>
+      This package does not come with a working test suite.
+    </para>
+    -->
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>--disable-lcms</option>: This is required if you've not installed
+      <xref linkend="lcms"/>. If you have installed
+      <application>Lcms</application> remove this option.
+    </para>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>inkscape and inkview.</seg>
+        <seg>/usr/share/inkscape.</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="inkscape-prog">
+        <term><command>inkscape</command></term>
+        <listitem>
+          <para>
+            an SVG (Scalable Vector Graphics) editing program.
+          </para>
+          <indexterm zone="inkscape inkscape-prog">
+            <primary sortas="b-inkscape">inkscape</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="inkview">
+        <term><command>inkview</command></term>
+        <listitem>
+          <para>
+            is a simple program for displaying SVG files.
+          </para>
+          <indexterm zone="inkscape inkview">
+            <primary sortas="b-inkview">inkview</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: xsoft/other/other.xml
===================================================================
--- xsoft/other/other.xml	(revision 4e0ea3c022eea769d358ccf6d7a1d7fb3eb93634)
+++ xsoft/other/other.xml	(revision 9945e317b04573503a2a212581186aaf2538736d)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gimp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="icedtea-web.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="inkscape.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pan.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pidgin.xml"/>