Index: general.ent
===================================================================
--- general.ent	(revision 58cb64de2b7bddd25c785ec3b4376bf7949acd2f)
+++ general.ent	(revision 9980d0a165f4e03573ec3d4b4c72dd0f5e43c842)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "11">                   <!-- Always 2 digits -->
+<!ENTITY day          "12">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2010">
@@ -724,5 +724,5 @@
 <!ENTITY gnumeric-version             "1.8.2">
 <!ENTITY gnucash-version              "2.2.4">
-<!ENTITY gimp-version                 "2.2.17">
+<!ENTITY gimp-version                 "2.6.8">
 <!ENTITY evolution-version            "2.30.2">
 
Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision 58cb64de2b7bddd25c785ec3b4376bf7949acd2f)
+++ general/graphlib/gegl.xml	(revision 9980d0a165f4e03573ec3d4b4c72dd0f5e43c842)
@@ -66,16 +66,16 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><ulink
-    url="http://www.methods.co.nz/asciidoc/">AsciiDoc</ulink>
-    <ulink url="http://www.gnu.org/software/enscript/">enscript</ulink>
-    <xref linkend="ffmpeg"/>
-    <xref linkend="graphviz"/>
-    <xref linkend="libjpeg"/>
-    <ulink url="http://libopenraw.freedesktop.org/wiki/">libopenraw</ulink>
-    <xref linkend="libpng"/>
-    <xref linkend="librsvg"/>
-    <ulink url="http://libspiro.sourceforge.net/">libspiro</ulink>
-    <ulink url="http://www.lua.org/">Lua</ulink>
-    <ulink url="http://www.openexr.org">OpenEXR</ulink>
-    <xref linkend="ruby"/>
+    url="http://www.methods.co.nz/asciidoc/">AsciiDoc</ulink>,
+    <ulink url="http://www.gnu.org/software/enscript/">enscript</ulink>,
+    <xref linkend="ffmpeg"/>,
+    <xref linkend="graphviz"/>,
+    <xref linkend="libjpeg"/>,
+    <ulink url="http://libopenraw.freedesktop.org/wiki/">libopenraw</ulink>,
+    <xref linkend="libpng"/>,
+    <xref linkend="librsvg"/>,
+    <ulink url="http://libspiro.sourceforge.net/">libspiro</ulink>,
+    <ulink url="http://www.lua.org/">Lua</ulink>,
+    <ulink url="http://www.openexr.org">OpenEXR</ulink>,
+    <xref linkend="ruby"/>,
     <xref linkend="sdl"/>
     and <xref linkend="w3m"/></para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 58cb64de2b7bddd25c785ec3b4376bf7949acd2f)
+++ introduction/welcome/changelog.xml	(revision 9980d0a165f4e03573ec3d4b4c72dd0f5e43c842)
@@ -43,4 +43,14 @@
 
     <listitem>
+      <para>October 12th</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Updated to Gimp-2.6.8. Fixes ticket
+          <ulink url="&blfs-ticket-root;2619">#2619</ulink></para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 10th</para>
       <itemizedlist>
Index: xsoft/office/gimp.xml
===================================================================
--- xsoft/office/gimp.xml	(revision 58cb64de2b7bddd25c785ec3b4376bf7949acd2f)
+++ xsoft/office/gimp.xml	(revision 9980d0a165f4e03573ec3d4b4c72dd0f5e43c842)
@@ -5,16 +5,15 @@
   %general-entities;
 
-  <!ENTITY gimp-download-http "http://ftp.gwdg.de/pub/misc/grafik/gimp/gimp/v2.2/gimp-&gimp-version;.tar.bz2">
-  <!ENTITY gimp-download-ftp  "ftp://ftp.gimp.org/pub/gimp/v2.2/gimp-&gimp-version;.tar.bz2">
-  <!ENTITY gimp-md5sum        "4f509ed4a605452d88e04045ff388d58">
-  <!ENTITY gimp-size          "13.1 MB">
-  <!ENTITY gimp-buildsize     "310 MB (additional 314 MB to install the help system)">
-  <!ENTITY gimp-time          "4.6 SBU (additional 0.6 SBU to run the test suite
-                               and additional 9.1 SBU to build the help files)">
-
-  <!ENTITY gimp-help-version  "0.12">
-  <!ENTITY gimp-help-download "ftp://anduin.linuxfromscratch.org/BLFS/svn/g/gimp-help-2-&gimp-help-version;.tar.gz">
-  <!ENTITY gimp-help-md5sum   "fc1e2153eafa04fa701b23818029c3e1">
-  <!ENTITY gimp-help-size     "59.8 MB">
+  <!ENTITY gimp-download-http "http://ftp.gtk.org/pub/gimp/v2.6/gimp-&gimp-version;.tar.bz2">
+  <!ENTITY gimp-download-ftp  "ftp://ftp.gimp.org/pub/gimp/v2.6/gimp-&gimp-version;.tar.bz2">
+  <!ENTITY gimp-md5sum        "a4d9462c9420954824a80c9b1963f9d">
+  <!ENTITY gimp-size          "16 MB">
+  <!ENTITY gimp-buildsize     "330 MB to 430 MB (additional 78 MB to install help files)">
+  <!ENTITY gimp-time          "5.5 to 5.7 SBU (additional 0.7 SBU to run the test suite)">
+
+  <!ENTITY gimp-help-version  "2.6.0-html-en">
+  <!ENTITY gimp-help-download "ftp://gimp.org/pub/gimp/help/gimp-help-&gimp-help-version;.tar.bz2">
+  <!ENTITY gimp-help-md5sum   "81da262343316835ebdd3354ce8eab4f">
+  <!ENTITY gimp-help-size     "28 MB">
 ]>
 
@@ -66,5 +65,7 @@
       <title>Help System</title>
       <listitem>
-        <para>Optional help files: <ulink url="&gimp-help-download;"/></para>
+        <para>Optional help files: <ulink url="&gimp-help-download;"/> and/or
+        one or more of the other available languages - see <ulink
+        url="http://www.gimp.org/docs">gimp.org</ulink> for details.</para>
       </listitem>
       <listitem>
@@ -79,6 +80,7 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="gtk2"/>,
-    <xref linkend="libart_lgpl"/>, and
+    <para role="required"><xref linkend="fontconfig"/>,
+    <xref linkend="gegl"/>,
+    <xref linkend="intltool"/>,
     <xref linkend="perl-xml-parser"/></para>
 
@@ -86,7 +88,4 @@
     <para role="recommended"><xref linkend="libjpeg"/> and
     <xref linkend="libtiff"/></para>
-    <!-- Gutenprint has made Gimp-Print obsolete. You must build the Gimp
-    first, before Gutenprint
-    <xref linkend="gimp-print"/>,-->
 
     <note>
@@ -97,24 +96,23 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="libmng"/>,
-    <xref linkend="librsvg"/>,
-    <xref linkend="aalib"/>,
+    <para role="optional"><xref linkend="aalib"/>,
+    <xref linkend="alsa-lib"/>,
+    <xref linkend="curl"/>,
+    <xref linkend="dbus-glib"/>,
+    <xref linkend="hal"/>,
+    <xref linkend="iso-codes"/>,
+    <xref linkend="gnome-vfs"/>,
     <xref linkend="lcms"/>,
     <xref linkend="libexif"/>,
+    <xref linkend="librsvg"/>,
+    <xref linkend="libxml2"/>
     <xref linkend="libxslt"/>,
-    <xref linkend="alsa"/>,
-    <xref linkend="libgtkhtml"/> (required to build the help system browser plugin),
     <ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>,
+    <xref linkend="poppler"/>,
     <xref linkend="pygtk"/> (including the gtk and pango modules),
-    <ulink url="http://gimp-print.sourceforge.net/">Gimp-Print version 4.2.7</ulink>,
     an <xref linkend="server-mail"/> (that provides a
-    <command>sendmail</command> program), and
-    <xref linkend="gtk-doc"/></para>
-
-    <bridgehead renderas="sect4">Optional (for Building Documentation from
-    the Help Tarball)</bridgehead>
-    <para role="optional"><xref linkend="libxslt"/>,
-    <xref linkend="DocBook"/>, and
-    <xref linkend="docbook-xsl"/></para>
+    <command>sendmail</command> program),
+    <xref linkend="x-window-system"/>,
+    and <xref linkend="gtk-doc"/></para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -129,7 +127,6 @@
     the following commands:</para>
 
-<screen><userinput>./configure --prefix=/usr \
-            --sysconfdir=/etc \
-            --disable-print &amp;&amp;
+<screen><userinput>./configure --prefix=/usr 
+            --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
@@ -138,24 +135,14 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install &amp;&amp;
-install -v -m755 -d /usr/share/doc/gimp-&gimp-version; &amp;&amp;
-install -v -m644 docs/{Wilber*,keybindings.txt,quick_reference.ps} \
-                    /usr/share/doc/gimp-&gimp-version;</userinput></screen>
-
-    <para>The <filename>gimp-help</filename> tarball contains a help system
-    designed for use with external web browsers, the internal
-    <application>GIMP</application> help browser, and HTML renderers.
-    The tarball only contains the XML sources, so you will need
-    the <command>xsltproc</command> program from <xref linkend="libxslt"/>
-    to build the HTML files.</para>
+<screen role="root"><userinput>make install</userinput></screen>
+
+    <para>The <filename>gimp-help</filename> tarball contains preformatted HTML
+    for use with external web browsers, the internal
+    <application>GIMP</application> help browser, and HTML renderers.</para>
 
     <para>If you downloaded the <filename>gimp-help</filename> tarball, unpack
-    it and change into the root of the newly created source tree (as an
-    unprivileged user). Issue the following commands to install the help files:</para>
-
-<screen><userinput>./configure &amp;&amp;
-make</userinput></screen>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    it and change into the root of the newly created source tree. Issue the
+    following commands as the <systemitem class="username">root</systemitem>
+    user to install the help files:</para>
 
 <screen role="root"><userinput>make install</userinput></screen>
@@ -173,10 +160,4 @@
     <parameter>-datadir=</parameter> works around the problem.</para> -->
 
-    <para><option>-disable-print</option>: This option disables print support
-    and is required if the obsolete <application>Gimp-Print</application>
-    package is not installed. Print support for the
-    <application>Gimp</application> can be provided later by installing
-    the <xref linkend="gutenprint"/> package.</para>
-
     <para><option>--without-libjpeg</option>: This option is necessary if
     <application>libjpeg</application> is not installed.</para>
@@ -185,4 +166,8 @@
     <application>libtiff</application> is not installed.</para>
 
+    <para><option>--disable-python</option>: This option is necessary if
+    you installed <application>python</application> but have not installed
+    <application>pygtk</application>.</para>
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gtk-doc-rebuild.xml"/>
@@ -197,5 +182,5 @@
 
       <para><filename>/etc/gimp/2.0/*</filename> and
-      <filename>~/.gimp-2.0/gimprc</filename></para>
+      <filename>~/.gimp-2.6/gimprc</filename></para>
 
       <indexterm zone="gimp gimp-config">
@@ -216,6 +201,6 @@
 
       <para><application>GIMP</application> executes the
-      <command>mozilla</command> web browser by default to view the help
-      files.  If you do not have <application>Mozilla</application>, or
+      <command>firefox</command> web browser by default to view the help
+      files.  If you do not have <application>firefox</application>, or
       prefer a different web browser, you can set a new system value in
       <filename>/etc/gimp/2.0/gimprc</filename>.  Execute the following
@@ -239,13 +224,13 @@
 
       <seglistitem>
-        <seg>gimp, gimp-2.2, gimp-remote, gimp-remote-2.2,
+        <seg>gimp, gimp-2.6, gimp-console, gimp-console-2.6,
         and gimptool-2.0</seg>
         <seg>libgimp-2.0.so, libgimpbase-2.0.so, libgimpcolor-2.0.so,
-        libgimpmath-2.0.so, libgimpmodule-2.0.so, libgimpthumb-2.0.so,
+        libgimpconfig-2.0.so, libgimpmath-2.0.so, libgimpmodule-2.0.so, libgimpthumb-2.0.so,
         libgimpui-2.0.so, libgimpwidgets-2.0.so, and many other modules and
         plugin libraries</seg>
         <seg>/etc/gimp, /usr/include/gimp-2.0, /usr/lib/gimp,
-        /usr/share/doc/gimp-&gimp-version;, /usr/share/gimp and
-        /usr/share/gtk-doc/html/libgimp{,base,color,math,module,thumb,widgets}</seg>
+        /usr/share/gimp and
+        /usr/share/gtk-doc/html/libgimp{,base,color,config,math,module,thumb,widgets}</seg>
       </seglistitem>
     </segmentedlist>
@@ -259,5 +244,5 @@
         <term><command>gimp</command></term>
         <listitem>
-          <para>is a symbolic link to <command>gimp-2.2</command>.</para>
+          <para>is a symbolic link to <command>gimp-2.6</command>.</para>
           <indexterm zone="gimp gimp-prog">
             <primary sortas="g-gimp">gimp</primary>
@@ -266,33 +251,33 @@
       </varlistentry>
 
-      <varlistentry id="gimp-2.2">
-        <term><command>gimp-2.2</command></term>
+      <varlistentry id="gimp-2.6">
+        <term><command>gimp-2.6</command></term>
         <listitem>
           <para>is an image manipulation program. It works with a variety
           of image formats and provides a large selection of tools.</para>
-          <indexterm zone="gimp gimp-2.2">
-            <primary sortas="b-gimp-2.2">gimp-2.2</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gimp-remote">
-        <term><command>gimp-remote</command></term>
-        <listitem>
-          <para>is a symbolic link to <command>gimp-remote-2.2</command>.</para>
-          <indexterm zone="gimp gimp-remote">
-            <primary sortas="g-gimp-remote">gimp-remote</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gimp-remote-2.2">
-        <term><command>gimp-remote-2.2</command></term>
-        <listitem>
-          <para>is a small utility that tells a running
-          <application>GIMP</application> to open a local or remote
-          image file.</para>
-          <indexterm zone="gimp gimp-remote-2.2">
-            <primary sortas="b-gimp-remote-2.2">gimp-remote-2.2</primary>
+          <indexterm zone="gimp gimp-2.6">
+            <primary sortas="b-gimp-2.6">gimp-2.6</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gimp-console">
+        <term><command>gimp-console</command></term>
+        <listitem>
+          <para>is a symbolic link to <command>gimp-console-2.6</command>.</para>
+          <indexterm zone="gimp gimp-console">
+            <primary sortas="g-gimp-console">gimp-console</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gimp-console-2.6">
+        <term><command>gimp-console-2.6</command></term>
+        <listitem>
+          <para>is a console program that behaves as if
+          <application>GIMP</application> was called with the
+          <option>--no-interface</option> command-line option.</para>
+          <indexterm zone="gimp gimp-console-2.6">
+            <primary sortas="b-gimp-console-2.6">gimp-console-2.6</primary>
           </indexterm>
         </listitem>
@@ -351,4 +336,15 @@
       </varlistentry>
 
+      <varlistentry id="libgimpconfig-2.0">
+        <term><filename class='libraryfile'>libgimpconfig-2.0.so</filename></term>
+        <listitem>
+          <para>contains C functions for reading and writing config information.
+          </para>
+          <indexterm zone="gimp libgimpconfig-2.0">
+            <primary sortas="c-libgimpconfig-2.0">libgimpconfig-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libgimpmath-2.0">
         <term><filename class='libraryfile'>libgimpmath-2.0.so</filename></term>