Index: general.ent
===================================================================
--- general.ent	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ general.ent	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "04">                   <!-- Always 2 digits -->
+<!ENTITY day          "05">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 4th, &year;">
+<!ENTITY releasedate  "February 5th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/gspell.xml
===================================================================
--- general/genlib/gspell.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ general/genlib/gspell.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -9,6 +9,6 @@
   <!ENTITY gspell-download-http "https://&gspell-site;/gspell-&gspell-version;.tar.xz">
   <!ENTITY gspell-download-ftp  "ftp://&gspell-site;/gspell-&gspell-version;.tar.xz">
-  <!ENTITY gspell-md5sum        "4f857382bc9d8d4afe1e67e5b5b9dbff">
-  <!ENTITY gspell-size          "416 KB">
+  <!ENTITY gspell-md5sum        "d0892000d944e87fd74e8611ef400cdb">
+  <!ENTITY gspell-size          "412 KB">
   <!ENTITY gspell-buildsize     "12 MB (with tests)">
   <!ENTITY gspell-time          "0.2 SBU (with tests)">
Index: general/prog/python-dbusmock.xml
===================================================================
--- general/prog/python-dbusmock.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
+++ general/prog/python-dbusmock.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -0,0 +1,115 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY dbusmock-download-http "https://github.com/martinpitt/python-dbusmock/releases/download/&dbusmock-version;/python-dbusmock-&dbusmock-version;.tar.gz">
+  <!ENTITY dbusmock-download-ftp  " ">
+  <!ENTITY dbusmock-md5sum        "565aaae672e065c9c17e7fafd1843701">
+  <!ENTITY dbusmock-size          "72 KB">
+  <!ENTITY dbusmock-buildsize     "888 KB">
+  <!ENTITY dbusmock-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin dbusmock -->
+  <sect2 id="python-dbusmock" xreflabel="dbusmock-&dbusmock-version;">
+
+    <title>dbusmock-&dbusmock-version;</title>
+
+    <indexterm zone="python-dbusmock">
+      <primary sortas="a-dbusmock">dbusmock</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to dbusmock</title>
+
+      <para>
+        <application>dbusmock</application> a Python library
+        useful for writing tests for software which talks to D-Bus services.
+      </para>
+
+      &lfs90_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&dbusmock-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&dbusmock-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &dbusmock-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &dbusmock-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &dbusmock-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &dbusmock-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/dbusmock"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of dbusmock</title>
+
+      <para>
+        Build the package with:
+      </para>
+
+<screen><userinput>python3 setup.py build</userinput></screen>
+
+      <para>
+        To install the package run the following as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            python_dbusmock-&dbusmock-version;-py&python3-majorver;.egg
+          </seg>
+          <seg>
+            None
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!--End dbusmock -->
Index: general/prog/python-modules.xml
===================================================================
--- general/prog/python-modules.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ general/prog/python-modules.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -62,4 +62,9 @@
       <listitem>
         <para>
+          <xref linkend="python-dbusmock"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
           <xref linkend="pygments"/>
         </para>
@@ -165,4 +170,7 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="python-dbusmock.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="pygments.xml"/>
 
Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ general/sysutils/upower.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -92,6 +92,6 @@
       <xref linkend="gtk-doc"/>,
       <xref linkend="pygobject3"/>,
-      <ulink url="https://github.com/martinpitt/umockdev">umockdev</ulink>, and
-      <ulink url="https://pypi.python.org/pypi/python-dbusmock">python-dbusmock</ulink>
+      <xref linkend="python-dbusmock"/>, and 
+      <ulink url="https://github.com/martinpitt/umockdev">umockdev</ulink>
       (for part of the testsuite).
     </para>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ gnome.ent	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -17,5 +17,5 @@
 <!ENTITY gcr-version                       "3.34.0">
 <!ENTITY gsettings-desktop-schemas-version "3.34.0">
-<!ENTITY libsecret-version                 "0.20.0">
+<!ENTITY libsecret-version                 "0.20.1">
 <!ENTITY rest-version                      "0.8.1">
 <!ENTITY totem-pl-parser-version           "3.26.4">
@@ -39,5 +39,5 @@
 <!ENTITY libwnck-version                   "3.32.0">
 <!ENTITY evolution-data-server-version     "3.34.3">
-<!ENTITY folks-version                     "0.13.1">
+<!ENTITY folks-version                     "0.13.2">
 <!ENTITY gfbgraph-version                  "0.2.3">
 <!ENTITY tracker-version                   "2.3.1">
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ gnome/platform/folks.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -7,8 +7,8 @@
   <!ENTITY folks-download-http "&gnome-download-http;/folks/0.13/folks-&folks-version;.tar.xz">
   <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.13/folks-&folks-version;.tar.xz">
-  <!ENTITY folks-md5sum        "0038ec90db52ed7a82c93d98e227b078">
-  <!ENTITY folks-size          "504 KB">
-  <!ENTITY folks-buildsize     "28 MB">
-  <!ENTITY folks-time          "0.1 SBU (Using parallelism=4)">
+  <!ENTITY folks-md5sum        "e9e8d37bbd2b6405c5d23269d9df2d49">
+  <!ENTITY folks-size          "512 KB">
+  <!ENTITY folks-buildsize     "42 MB (add 18 MB for tests)">
+  <!ENTITY folks-time          "0.2 SBU (Using parallelism=4i, add 1.0 SBU for tests)">
 ]>
 
@@ -81,5 +81,5 @@
       <xref linkend="gobject-introspection"/>,
       <xref linkend="libgee"/>,
-<!-- one file "tests/tools/manager-file.py" is still P2 but it's not invoked -->
+      <xref linkend="python-dbusmock"/>, and 
       <xref linkend="telepathy-glib"/>
     </para>
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ gnome/platform/gnome-control-center.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -103,4 +103,9 @@
     </para>
 
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="python-dbusmock"/> (for tests)
+    </para>
+
     <bridgehead renderas="sect4"
                 revision="sysv">Recommended (Runtime)</bridgehead>
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -121,5 +121,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <ulink url="https://github.com/martinpitt/python-dbusmock">python-dbusmock</ulink> and
+      <xref linkend="python-dbusmock"/> and
       <ulink url="https://github.com/martinpitt/umockdev">umockdev</ulink>
       (required for the tests)
Index: gnome/platform/libsecret.xml
===================================================================
--- gnome/platform/libsecret.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ gnome/platform/libsecret.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -7,6 +7,6 @@
   <!ENTITY libsecret-download-http "&gnome-download-http;/libsecret/0.20/libsecret-&libsecret-version;.tar.xz">
   <!ENTITY libsecret-download-ftp  "&gnome-download-ftp;/libsecret/0.20/libsecret-&libsecret-version;.tar.xz">
-  <!ENTITY libsecret-md5sum        "335750caeed47f50496b3b0e6a1875ff">
-  <!ENTITY libsecret-size          "516 KB">
+  <!ENTITY libsecret-md5sum        "d2dd660a8d502099317bc8af9f30302e">
+  <!ENTITY libsecret-size          "520 KB">
   <!ENTITY libsecret-buildsize     "12 MB (with tests)">
   <!ENTITY libsecret-time          "0.2 SBU (wtih tests)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ introduction/welcome/changelog.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -42,4 +42,29 @@
     </listitem>
        -->
+    <listitem>
+      <para>February 5th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to folks-0.13.2. Fixes
+          <ulink url="&blfs-ticket-root;13098">#13098</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Add python module python-dbusmock-0.19.</para> 
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to NetworkManager-1.22.6. Fixes
+          <ulink url="&blfs-ticket-root;13089">#13089</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libsecret-0.20.1. Fixes
+          <ulink url="&blfs-ticket-root;13071">#13071</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gspell-1.8.3. Fixes
+          <ulink url="&blfs-ticket-root;13060">#13060</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>February 4th, 2020</para>
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ networking/netutils/networkmanager.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -9,5 +9,5 @@
   <!ENTITY NetworkManager-download-ftp
 "&gnome-download-ftp;/NetworkManager/&NetworkManager-minor;/NetworkManager-&NetworkManager-version;.tar.xz">
-  <!ENTITY NetworkManager-md5sum        "14e4933253b2135ccfb6adc97d322fab">
+  <!ENTITY NetworkManager-md5sum        "0f4b493cc0c67f94a2ad3573363eb3b2">
   <!ENTITY NetworkManager-size          "4.6 MB">
   <!ENTITY NetworkManager-buildsize     "861 MB (with tests)">
Index: packages.ent
===================================================================
--- packages.ent	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ packages.ent	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -105,5 +105,5 @@
 <!ENTITY grantlee-version             "5.2.0">
 <!ENTITY gsl-version                  "2.6">
-<!ENTITY gspell-version               "1.8.2">
+<!ENTITY gspell-version               "1.8.3">
 
 <!ENTITY icu-major                    "65">
@@ -524,4 +524,5 @@
 <!ENTITY docutils-version             "0.16">
 <!ENTITY dbus-python-version          "1.2.16">
+<!ENTITY dbusmock-version             "0.19">
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
 <!ENTITY decorator-version            "4.4.1">
@@ -574,5 +575,5 @@
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-minor         "1.22">
-<!ENTITY NetworkManager-version       "&NetworkManager-minor;.4">
+<!ENTITY NetworkManager-version       "&NetworkManager-minor;.6">
 <!ENTITY nmap-version                 "7.80">
 <!ENTITY traceroute-version           "2.1.0">
Index: x/wm/icewm.xml
===================================================================
--- x/wm/icewm.xml	(revision b5f0eddde7421096631a11e5c4a341bd17ebb403)
+++ x/wm/icewm.xml	(revision 10092cdefd1e1a2388b47394c9a08a97372d02d1)
@@ -84,5 +84,7 @@
     commands:</para>
 
-<screen><userinput>mkdir build &amp;&amp;
+<screen><userinput>sed -i '/ADD_EXECUTABLE(icesh/s/yarray.cc/&amp; ytimer.cc/' src/CMakeLists.txt &amp;&amp;
+
+mkdir build &amp;&amp;
 cd    build &amp;&amp;
 
@@ -108,4 +110,9 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para>
+      <command>sed ... src/CMakeLists.txt </command>: Add a missing dependency
+      to the build instructions.
+    </para>
 
     <para>