Index: general/genlib/libsigc++3.xml
===================================================================
--- general/genlib/libsigc++3.xml	(revision 10221b8899e753ce6c48055ccbab69967ed48b99)
+++ general/genlib/libsigc++3.xml	(revision 10221b8899e753ce6c48055ccbab69967ed48b99)
@@ -0,0 +1,172 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libsigc-download-http "&gnome-download-http;/libsigc++/&libsigc3-minor;/libsigc++-&libsigc3-version;.tar.xz">
+  <!ENTITY libsigc-download-ftp  " ">
+  <!ENTITY libsigc-md5sum        "b7205d5465ac15fbc0c781d39b4011be">
+  <!ENTITY libsigc-size          "972 KB">
+  <!ENTITY libsigc-buildsize     "12 MB (with tests)">
+  <!ENTITY libsigc-time          "0.4 SBU (with tests)">
+]>
+
+<sect1 id="libsigc3" xreflabel="libsigc++-&libsigc3-version;">
+  <?dbhtml filename="libsigc3.html"?>
+
+
+  <title>libsigc++-&libsigc3-version;</title>
+
+  <indexterm zone="libsigc3">
+    <primary sortas="a-libsigc++-3">libsigc++-3</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libsigc++</title>
+
+    <para>
+      The <application>libsigc++</application> package implements a typesafe
+      callback system for standard C++. This version is part of a new API for
+      supporting gtkmm-4.
+    </para>
+
+    &lfs121_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libsigc-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libsigc-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libsigc-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libsigc-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libsigc-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libsigc-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libsigc++ Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="boost"/> and
+      <xref linkend="libxslt"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="docbook-utils"/>,
+      <xref linkend="docbook5"/>,
+      <xref linkend="doxygen"/>,
+      <xref linkend="fop"/>, and
+      <ulink url="&gnome-download-http;/mm-common">mm-common</ulink>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libsigc++</title>
+
+    <para>
+      Install <application>libsigc++</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir bld &amp;&amp;
+cd    bld &amp;&amp;
+
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>ninja test</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
+
+    <para>
+      <option>-Dbuild-documentation=true</option>: Use this switch if
+      <xref role="nodep" linkend="doxygen"/> is installed and you wish to
+      build and install the API documentation.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libsigc-3.0.so
+        </seg>
+        <seg>
+          /usr/{include,lib}/sigc++-3.0 and
+          /usr/share/{devhelp/books,doc}/libsigc++-3.0 (if the documentation is enabled)
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libsigc-3">
+        <term><filename class="libraryfile">libsigc-3.0.so</filename></term>
+        <listitem>
+          <para>
+            provides a typesafe callback system for standard C++
+          </para>
+          <indexterm zone="libsigc libsigc-3">
+            <primary sortas="c-libsigc-3">libsigc-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>