Index: general.ent
===================================================================
--- general.ent	(revision a6852d6eb8f9a3fe5d96b69c7a98874ca16d9372)
+++ general.ent	(revision 11838e2a1c350107c2500197323ea0e4966b362e)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY day          "02">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 1st, &year;">
+<!ENTITY releasedate  "March 2nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/perl-modules/perl-list-allutils.xml
===================================================================
--- general/prog/perl-modules/perl-list-allutils.xml	(revision a6852d6eb8f9a3fe5d96b69c7a98874ca16d9372)
+++ general/prog/perl-modules/perl-list-allutils.xml	(revision 11838e2a1c350107c2500197323ea0e4966b362e)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/D/DR/DROLSKY/List-AllUtils-&List-AllUtils-version;.tar.gz">
-  <!ENTITY my-md5sum "df17b5e9dbef488c72836298e2da221b">
+  <!ENTITY my-md5sum "508796a7ed76c5fe699ad9dc08538daf">
 
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a6852d6eb8f9a3fe5d96b69c7a98874ca16d9372)
+++ introduction/welcome/changelog.xml	(revision 11838e2a1c350107c2500197323ea0e4966b362e)
@@ -44,6 +44,14 @@
 
     <listitem>
-      <para>March 1st, 2020</para>
+      <para>March 2nd, 2020</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to ed-1.16. Fixes 
+          <ulink url="&blfs-ticket-root;13185">#13185</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to List-AllUtils-0.16 (Perl Module). Fixes 
+          <ulink url="&blfs-ticket-root;13209">#13209</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to lxsession-0.5.5. Fixes
@@ -74,4 +82,10 @@
           <ulink url="&blfs-ticket-root;13175">#13175</ulink>.</para>
         </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>March 1st, 2020</para>
+      <itemizedlist>
         <listitem>
           <para>[bdubbs] - Release of BLFS-9.1.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision a6852d6eb8f9a3fe5d96b69c7a98874ca16d9372)
+++ packages.ent	(revision 11838e2a1c350107c2500197323ea0e4966b362e)
@@ -61,5 +61,5 @@
 <!-- Chapter 6 -->
 <!ENTITY bluefish-version             "2.2.11">
-<!ENTITY ed-version                   "1.15">
+<!ENTITY ed-version                   "1.16">
 <!ENTITY emacs-version                "26.3">
 <!ENTITY gedit-version                "3.34.1">
@@ -394,5 +394,5 @@
 <!ENTITY IPC-Run3-version             "0.048">
 <!ENTITY Lingua-Translit-version      "0.28">
-<!ENTITY List-AllUtils-version        "0.15">
+<!ENTITY List-AllUtils-version        "0.16">
 <!ENTITY List-MoreUtils-version       "0.428">
 <!ENTITY Log-Log4perl-version         "1.49">
Index: postlfs/editors/ed.xml
===================================================================
--- postlfs/editors/ed.xml	(revision a6852d6eb8f9a3fe5d96b69c7a98874ca16d9372)
+++ postlfs/editors/ed.xml	(revision 11838e2a1c350107c2500197323ea0e4966b362e)
@@ -7,5 +7,5 @@
   <!ENTITY ed-download-http "&gnu-http;/ed/ed-&ed-version;.tar.lz">
   <!ENTITY ed-download-ftp  "&gnu-ftp;/ed/ed-&ed-version;.tar.lz">
-  <!ENTITY ed-md5sum        "d3aaeb5eb032142948d7a2f98a24899b">
+  <!ENTITY ed-md5sum        "ab480d982289064ca040bc5c75fceffd">
   <!ENTITY ed-size          "68 KB">
   <!ENTITY ed-buildsize     "1.0 MB">