Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 35ef9b4e8350155775995788204eafe89685d15d)
+++ introduction/welcome/changelog.xml	(revision 11839b6feedaf707e8c4e9b3558b8551aac7fec3)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to alsa-{firmware,lib,utils,plugins}-1.2.1.
+          Fixes <ulink url="&blfs-ticket-root;12776">#12776</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[thomas] - Update to bind-9.14.8. Fixes
           <ulink url="&blfs-ticket-root;12792">#12792</ulink>.</para>
Index: multimedia/libdriv/alsa-firmware.xml
===================================================================
--- multimedia/libdriv/alsa-firmware.xml	(revision 35ef9b4e8350155775995788204eafe89685d15d)
+++ multimedia/libdriv/alsa-firmware.xml	(revision 11839b6feedaf707e8c4e9b3558b8551aac7fec3)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-firmware-download-http " ">
   <!ENTITY alsa-firmware-download-ftp  "&alsa-download-ftp;/firmware/alsa-firmware-&alsa-firmware-version;.tar.bz2">
-  <!ENTITY alsa-firmware-md5sum        "9a1182f8a6ac44cb9af5774cc045565f">
-  <!ENTITY alsa-firmware-size          "4.7 MB">
-  <!ENTITY alsa-firmware-buildsize     "36 MB">
+  <!ENTITY alsa-firmware-md5sum        "f8458efd25e6d6600dbc7aedf98f83a3">
+  <!ENTITY alsa-firmware-size          "4.9 MB">
+  <!ENTITY alsa-firmware-buildsize     "38 MB">
   <!ENTITY alsa-firmware-time          "less than 0.1 SBU">
 ]>
Index: multimedia/libdriv/alsa-lib.xml
===================================================================
--- multimedia/libdriv/alsa-lib.xml	(revision 35ef9b4e8350155775995788204eafe89685d15d)
+++ multimedia/libdriv/alsa-lib.xml	(revision 11839b6feedaf707e8c4e9b3558b8551aac7fec3)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-lib-download-http " ">
   <!ENTITY alsa-lib-download-ftp  "&alsa-download-ftp;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-  <!ENTITY alsa-lib-md5sum        "e6d429dbdcfaa0f034d907fa6dc3735e">
-  <!ENTITY alsa-lib-size          "1.0 MB">
-  <!ENTITY alsa-lib-buildsize     "32 MB (with tests)">
+  <!ENTITY alsa-lib-md5sum        "7f7cae6925c99d900dfdfe9b7b056ccc">
+  <!ENTITY alsa-lib-size          "984 KB">
+  <!ENTITY alsa-lib-buildsize     "35 MB (with tests)">
   <!ENTITY alsa-lib-time          "0.3 SBU (with tests)">
 ]>
@@ -132,9 +132,10 @@
 
 <screen remap="doc"><userinput>make doc</userinput></screen>
-
+<!-- The test suite needs libasound.so now, otherwise both the config and
+     midi_event tests will fail.
     <para>
       To test the results, issue: <command>make check</command>.
     </para>
-
+-->
     <para>
       Now, as the <systemitem class="username">root</systemitem> user:
@@ -154,4 +155,10 @@
 install -v -m644 doc/doxygen/html/search/* \
                 /usr/share/doc/alsa-lib-&alsa-lib-version;/html/search</userinput></screen>
+
+    <para>
+      The test suite requires the alsa-lib package to be installed to
+      link against some libraries. Now that alsa-lib is installed, if you wish
+      to run the tests, issue: <command>make check</command>.
+    </para>
 
   </sect2>
@@ -206,5 +213,7 @@
         </seg>
         <seg>
-          libasound.so and four others under /usr/lib/alsa-lib/smixer
+          libasound.so and
+          libatopology.so
+           <!-- and four others under /usr/lib/alsa-lib/smixer -->
         </seg>
         <seg>
@@ -246,4 +255,16 @@
       </varlistentry>
 
+      <varlistentry id="libatopology">
+        <term><filename class="libraryfile">libatopology.so</filename></term>
+        <listitem>
+          <para>
+            contains API functions for the ALSA topologies.
+          </para>
+          <indexterm zone="alsa-lib libatopology">
+            <primary sortas="c-libatopology">libatopology.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>  
+
     </variablelist>
 
Index: multimedia/libdriv/alsa-plugins.xml
===================================================================
--- multimedia/libdriv/alsa-plugins.xml	(revision 35ef9b4e8350155775995788204eafe89685d15d)
+++ multimedia/libdriv/alsa-plugins.xml	(revision 11839b6feedaf707e8c4e9b3558b8551aac7fec3)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-plugins-download-http " ">
   <!ENTITY alsa-plugins-download-ftp  "&alsa-download-ftp;/plugins/alsa-plugins-&alsa-plugins-version;.tar.bz2">
-  <!ENTITY alsa-plugins-md5sum        "e0caffbd849c51ed81751378f56cb563">
+  <!ENTITY alsa-plugins-md5sum        "5b11cd3ec92e5f9190ec378565b529e8">
   <!ENTITY alsa-plugins-size          "400 KB">
-  <!ENTITY alsa-plugins-buildsize     "5.1 MB">
+  <!ENTITY alsa-plugins-buildsize     "4.8 MB">
   <!ENTITY alsa-plugins-time          "less than 0.1 SBU">
 ]>
@@ -80,4 +80,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="ffmpeg"/>, <!-- looks for libav, libavcodec -->
       <xref linkend="libsamplerate"/>,
       <xref linkend="pulseaudio"/>,
Index: multimedia/libdriv/alsa-utils.xml
===================================================================
--- multimedia/libdriv/alsa-utils.xml	(revision 35ef9b4e8350155775995788204eafe89685d15d)
+++ multimedia/libdriv/alsa-utils.xml	(revision 11839b6feedaf707e8c4e9b3558b8551aac7fec3)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-utils-download-http " ">
   <!ENTITY alsa-utils-download-ftp  "&alsa-download-ftp;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
-  <!ENTITY alsa-utils-md5sum        "5ed21c3e296c06046cc986e732f625f6">
+  <!ENTITY alsa-utils-md5sum        "c4628bae7632937eac2de4cf2a3de82e">
   <!ENTITY alsa-utils-size          "1.2 MB">
-  <!ENTITY alsa-utils-buildsize     "12 MB">
+  <!ENTITY alsa-utils-buildsize     "15 MB">
   <!ENTITY alsa-utils-time          "0.1 SBU">
 ]>
@@ -239,7 +239,7 @@
       <seglistitem>
         <seg>
-          aconnect, alsaloop, alsamixer, alsatplg,
+          aconnect, alsactl, alsaloop, alsamixer, alsatplg,
           alsaucm, amidi, amixer, aplay, aplaymidi, arecord (symlink),
-          arecordmidi, aseqdump, iaseqnet, iecset, and speaker-test
+          arecordmidi, aseqdump, aseqnet, axfer, iecset, and speaker-test
         </seg>
         <seg>
@@ -270,4 +270,18 @@
       </varlistentry>
 
+      <varlistentry id="alsactl">
+        <term><command>alsactl</command></term>
+        <listitem>
+          <para>
+            is used to control advanced settings for ALSA sound card drivers.
+            Use this if alsamixer cannot utilize all of your sound card's
+            features.
+          </para>
+          <indexterm zone="alsa-utils alsactl">
+            <primary sortas="b-alsactl">alsactl</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="alsaloop">
         <term><command>alsaloop</command></term>
@@ -410,4 +424,17 @@
       </varlistentry>
 
+      <varlistentry id="axfer">
+        <term><command>axfer</command></term>
+        <listitem>
+          <para>
+            is a command-line recorder and player used to transfer audio frames
+            between sound devices and files.
+          </para>
+          <indexterm zone="alsa-utils axfer">
+            <primary sortas="b-axfer">axfer</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="iecset">
         <term><command>iecset</command></term>
Index: packages.ent
===================================================================
--- packages.ent	(revision 35ef9b4e8350155775995788204eafe89685d15d)
+++ packages.ent	(revision 11839b6feedaf707e8c4e9b3558b8551aac7fec3)
@@ -907,10 +907,10 @@
 <!ENTITY alsa-download-http           "http://alsa.cybermirror.org">
 <!ENTITY alsa-download-ftp            "ftp://ftp.alsa-project.org/pub">
-<!ENTITY alsa-version                 "1.1.9">
-<!ENTITY alsa-lib-version             "1.1.9">
-<!ENTITY alsa-plugins-version         "1.1.9">
-<!ENTITY alsa-utils-version           "1.1.9">
+<!ENTITY alsa-version                 "1.2.1">
+<!ENTITY alsa-lib-version             "1.2.1">
+<!ENTITY alsa-plugins-version         "1.2.1">
+<!ENTITY alsa-utils-version           "1.2.1">
 <!ENTITY alsa-tools-version           "1.1.7">
-<!ENTITY alsa-firmware-version        "1.0.29">
+<!ENTITY alsa-firmware-version        "1.2.1">
 <!ENTITY alsa-oss-version             "1.1.8">
 <!ENTITY audiofile-version            "0.3.6">