Index: general.ent
===================================================================
--- general.ent	(revision ee27e267c3a275bfad4110fddea00575d731e716)
+++ general.ent	(revision 11939cbfd076c00ff02db55e6008c643c8a7ef65)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "10">                   <!-- Always 2 digits -->
+<!ENTITY day          "16">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2013">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "SYSTEMD-&year;-&month;-&day;">
-<!ENTITY releasedate  "June 10th, &year;">
+<!ENTITY releasedate  "June 16th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -537,5 +537,7 @@
 <!ENTITY xcb-util-version             "0.3.9">
 <!ENTITY xcb-util-image-version       "0.3.9">
+<!ENTITY xcb-util-keysyms-version     "0.3.9">
 <!ENTITY xcb-util-renderutil-version  "0.3.8">
+<!ENTITY xcb-util-wm-version          "0.3.9">
 <!ENTITY printproto-version           "1.0.5">
 <!ENTITY libXp-version                "1.0.2">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ee27e267c3a275bfad4110fddea00575d731e716)
+++ introduction/welcome/changelog.xml	(revision 11939cbfd076c00ff02db55e6008c643c8a7ef65)
@@ -44,8 +44,19 @@
 
 -->
+    <listitem>
+      <para>June 16th, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - Added xcb-util-keysyms and xcb-util-wm.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
       <para>June 14th, 2013</para>
       <itemizedlist>
+        <listitem>
+          <para>[ken] - xf86-video-intel-2.21.9.</para>
+        </listitem>
         <listitem>
           <para>[ken] - libXrender-0.9.8 and libXvMC-1.0.8.</para>
Index: x/installing/installing.xml
===================================================================
--- x/installing/installing.xml	(revision ee27e267c3a275bfad4110fddea00575d731e716)
+++ x/installing/installing.xml	(revision 11939cbfd076c00ff02db55e6008c643c8a7ef65)
@@ -62,5 +62,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xcb-util.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xcb-util-image.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xcb-util-keysyms.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xcb-util-renderutil.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xcb-util-wm.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mesalib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xbitmaps.xml"/>
Index: x/installing/x7driver.xml
===================================================================
--- x/installing/x7driver.xml	(revision ee27e267c3a275bfad4110fddea00575d731e716)
+++ x/installing/x7driver.xml	(revision 11939cbfd076c00ff02db55e6008c643c8a7ef65)
@@ -80,11 +80,11 @@
   <!ENTITY xorg-fbdev-driver-time          "less than 0.1 SBU">
 
-  <!ENTITY xorg-intel-driver-version "2.21.8">
+  <!ENTITY xorg-intel-driver-version "2.21.9">
 
   <!ENTITY xorg-intel-driver-download-http "&xorg-download-http;/driver/xf86-video-intel-&xorg-intel-driver-version;.tar.bz2">
   <!ENTITY xorg-intel-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-video-intel-&xorg-intel-driver-version;.tar.bz2">
-  <!ENTITY xorg-intel-driver-md5sum        "34de8dbd2bee0546c54c7834a03e0962">
+  <!ENTITY xorg-intel-driver-md5sum        "fd96651b0d90dc7e977b23fd54f2c3e8">
   <!ENTITY xorg-intel-driver-size          "1.7 MB">
-  <!ENTITY xorg-intel-driver-buildsize     "67 MB">
+  <!ENTITY xorg-intel-driver-buildsize     "71 MB">
   <!ENTITY xorg-intel-driver-time          "0.5 SBU">
 
@@ -353,5 +353,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -1150,5 +1150,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <note>
@@ -1199,6 +1199,6 @@
       <bridgehead renderas="sect4">Xorg ATI Driver Dependencies</bridgehead>
 
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
+      <bridgehead renderas="sect5">Recommended</bridgehead>
+      <para role="recommended">
         <xref linkend="glamor-egl"/>
       </para>
@@ -1646,5 +1646,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/xcb-util-keysyms.xml
===================================================================
--- x/installing/xcb-util-keysyms.xml	(revision 11939cbfd076c00ff02db55e6008c643c8a7ef65)
+++ x/installing/xcb-util-keysyms.xml	(revision 11939cbfd076c00ff02db55e6008c643c8a7ef65)
@@ -0,0 +1,153 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY xcb-util-keysyms-download-http
+           "http://xcb.freedesktop.org/dist/xcb-util-keysyms-&xcb-util-keysyms-version;.tar.bz2">
+  <!ENTITY xcb-util-keysyms-download-ftp  " ">
+  <!ENTITY xcb-util-keysyms-md5sum        "64e4aad2d48cd4a92e2da13b9f35bfd2">
+  <!ENTITY xcb-util-keysyms-size          "280 KB">
+  <!ENTITY xcb-util-keysyms-buildsize     "2.2 MB">
+  <!ENTITY xcb-util-keysyms-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="xcb-util-keysyms" xreflabel="xcb-util-keysyms-&xcb-util-keysyms-version;">
+  <?dbhtml filename="xcb-util-keysyms.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>xcb-util-keysyms-&xcb-util-keysyms-version;</title>
+
+  <indexterm zone="xcb-util-keysyms">
+    <primary sortas="a-xcb-util-keysyms">xcb-util-keysyms</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to xcb-util-keysyms</title>
+
+    <para>
+      The <application>xcb-util-keysyms</application> package contains a library
+      for handling standard X key constants and conversion to/from keycodes.
+    </para>
+
+    &lfs73_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&xcb-util-keysyms-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&xcb-util-keysyms-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &xcb-util-keysyms-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &xcb-util-keysyms-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &xcb-util-keysyms-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &xcb-util-keysyms-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">xcb-util-keysyms Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="libxcb"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/xcb-util-keysyms"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of xcb-util-keysyms</title>
+
+    <para>
+      Install <application>xcb-util-keysyms</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure $XORG_CONFIG &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: 
+      <command>LD_LIBRARY_PATH=$XORG_PREFIX/lib make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libxcb-keysyms.so
+        </seg>
+        <seg>
+          None
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libxcb-keysyms">
+        <term><filename class="libraryfile">libxcb-keysyms.so</filename></term>
+        <listitem>
+          <para>
+             provides the standard X key constants and API functions for
+             conversion to/from keycodes.
+          </para>
+          <indexterm zone="xcb-util-keysyms libxcb-keysyms">
+            <primary sortas="c-libxcb-keysyms">libxcb-keysyms.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: x/installing/xcb-util-wm.xml
===================================================================
--- x/installing/xcb-util-wm.xml	(revision 11939cbfd076c00ff02db55e6008c643c8a7ef65)
+++ x/installing/xcb-util-wm.xml	(revision 11939cbfd076c00ff02db55e6008c643c8a7ef65)
@@ -0,0 +1,164 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY xcb-util-wm-download-http
+           "http://xcb.freedesktop.org/dist/xcb-util-wm-&xcb-util-wm-version;.tar.bz2">
+  <!ENTITY xcb-util-wm-download-ftp  " ">
+  <!ENTITY xcb-util-wm-md5sum        "c612aae7ffe2e70fe743efab9c5548e9">
+  <!ENTITY xcb-util-wm-size          "316 KB">
+  <!ENTITY xcb-util-wm-buildsize     "3.2 MB">
+  <!ENTITY xcb-util-wm-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="xcb-util-wm" xreflabel="xcb-util-wm-&xcb-util-wm-version;">
+  <?dbhtml filename="xcb-util-wm.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>xcb-util-wm-&xcb-util-wm-version;</title>
+
+  <indexterm zone="xcb-util-wm">
+    <primary sortas="a-xcb-util-wm">xcb-util-wm</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to xcb-util-wm</title>
+
+    <para>
+      The <application>xcb-util-wm</application> package contains libraries
+      which provide client and window-manager helpers for EWMH and ICCCM.
+    </para>
+
+    &lfs73_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&xcb-util-wm-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&xcb-util-wm-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &xcb-util-wm-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &xcb-util-wm-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &xcb-util-wm-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &xcb-util-wm-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">xcb-util-wm Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="libxcb"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/xcb-util-wm"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of xcb-util-wm</title>
+
+    <para>
+      Install <application>xcb-util-wm</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure $XORG_CONFIG &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: 
+      <command>LD_LIBRARY_PATH=$XORG_PREFIX/lib make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libxcb-ewmh.so and libxcb-icccm.so
+        </seg>
+        <seg>
+          None
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libxcb-ewmh">
+        <term><filename class="libraryfile">libxcb-ewmh.so</filename></term>
+        <listitem>
+          <para>
+            provides the client and window-manager helpers for EWMH.
+          </para>
+          <indexterm zone="xcb-util-wm libxcb-ewmh">
+            <primary sortas="c-libxcb-ewmh">libxcb-ewmh.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libxcb-icccm">
+        <term><filename class="libraryfile">libxcb-icccm.so</filename></term>
+        <listitem>
+          <para>
+            provides the client and window-manager helpers for ICCCM.
+          </para>
+          <indexterm zone="xcb-util-wm libxcb-icccm">
+            <primary sortas="c-libxcb-icccm">libxcb-icccm.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>