Index: gnome/add/gnome-applets.xml
===================================================================
--- gnome/add/gnome-applets.xml	(revision 7a00c50e3c1216ee14aa34f2daccf05286537362)
+++ gnome/add/gnome-applets.xml	(revision 1228252aa824ed3394bfd37fdb5401f2cf16b16f)
@@ -9,6 +9,6 @@
   <!ENTITY gnome-applets-md5sum        "bce6d49f3bb2caff8d91c78599ffcfd0">
   <!ENTITY gnome-applets-size          "7.7 MB">
-  <!ENTITY gnome-applets-buildsize     "?? MB">
-  <!ENTITY gnome-applets-time          "?? SBU">
+  <!ENTITY gnome-applets-buildsize     "100 MB">
+  <!ENTITY gnome-applets-time          "1.4 SBU">
 ]>
 
@@ -34,5 +34,5 @@
     their output to the <application>GNOME</application> panel.</para>
 
-    <!-- &lfs65_checked; not for this version! -->
+    &lfs70_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -88,7 +88,5 @@
 <screen><userinput>./configure --prefix=$GNOME_PREFIX \
             --sysconfdir=$GNOME_SYSCONFDIR \
-            --localstatedir=/var/lib \
-            --libexecdir=$GNOME_PREFIX/lib/gnome-applets \
-            --mandir=$GNOME_PREFIX/share/man &amp;&amp;
+            --libexecdir=$GNOME_PREFIX/lib/gnome-applets &amp;&amp;
 make</userinput></screen>
 
@@ -111,7 +109,4 @@
     href="../../xincludes/gnome-sysconfdir.xml"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/scrollkeeper-dir.xml"/>
-
     <para><parameter>--libexecdir=$GNOME_PREFIX/lib/gnome-applets</parameter>:
     This parameter causes the libexec files to be installed in the preferred
@@ -119,7 +114,4 @@
     class="directory">$GNOME_PREFIX/lib/gnome-applets</filename> instead of
     <filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-mandir.xml"/>
 
     <para><command>make -C man install-man</command>: This command installs
Index: gnome/core/gnome-system-monitor.xml
===================================================================
--- gnome/core/gnome-system-monitor.xml	(revision 7a00c50e3c1216ee14aa34f2daccf05286537362)
+++ gnome/core/gnome-system-monitor.xml	(revision 1228252aa824ed3394bfd37fdb5401f2cf16b16f)
@@ -9,6 +9,6 @@
   <!ENTITY gnome-system-monitor-md5sum        "2683987b8fb5ad46e0e11b56f20333dd">
   <!ENTITY gnome-system-monitor-size          "2.4 MB">
-  <!ENTITY gnome-system-monitor-buildsize     "?? MB">
-  <!ENTITY gnome-system-monitor-time          "?? SBU">
+  <!ENTITY gnome-system-monitor-buildsize     "33 MB">
+  <!ENTITY gnome-system-monitor-time          "0.5 SBU">
 ]>
 
@@ -35,5 +35,5 @@
     <command>gtop</command>.</para>
 
-    <!-- &lfs65_checked; not this version! -->
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -93,7 +93,5 @@
     the following commands:</para>
 
-<screen><userinput>./configure --prefix=$GNOME_PREFIX \
-            --sysconfdir=$GNOME_SYSCONFDIR &amp;&amp;
-<!-- FIXME:ken check this, seems unlikely   \-\-localstatedir=/var/lib &amp;&amp; -->
+<screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
 make</userinput></screen>
 
@@ -121,7 +119,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome-prefix.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-sysconfdir.xml"/>
 
   </sect2>
Index: gnome/core/gnome-utils.xml
===================================================================
--- gnome/core/gnome-utils.xml	(revision 7a00c50e3c1216ee14aa34f2daccf05286537362)
+++ gnome/core/gnome-utils.xml	(revision 1228252aa824ed3394bfd37fdb5401f2cf16b16f)
@@ -9,6 +9,6 @@
   <!ENTITY gnome-utils-md5sum        "9c173160a4c5d5c315f6cef4a87a9620">
   <!ENTITY gnome-utils-size          "7.0 MB">
-  <!ENTITY gnome-utils-buildsize     "?? MB">
-  <!ENTITY gnome-utils-time          "?? SBU">
+  <!ENTITY gnome-utils-buildsize     "77 MB">
+  <!ENTITY gnome-utils-time          "0.8 SBU">
 ]>
 
@@ -34,5 +34,5 @@
     easier.</para>
 
-    <!-- &lfs65_built; not this version! -->
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -80,6 +80,5 @@
 
 <screen><userinput>./configure --prefix=$GNOME_PREFIX \
-            --sysconfdir=$GNOME_SYSCONFDIR \
-            --libexecdir=$GNOME_PREFIX/lib/gnome-utils &amp;&amp;
+            --sysconfdir=$GNOME_SYSCONFDIR &amp;&amp;
 make</userinput></screen>
 
@@ -100,10 +99,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome-sysconfdir.xml"/>
-
-    <para><parameter>--libexecdir=$GNOME_PREFIX/lib/gnome-utils</parameter>: This parameter causes the libexec
-    files to be installed in the preferred location of
-    <filename class="directory">$GNOME_PREFIX/lib/gnome-utils</filename>
-    instead of
-    <filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -123,5 +116,5 @@
         <seg>baobab, gnome-dictionary, gnome-screenshot, gnome-search-tool,
         gnome-system-log, and gnome-dictionary-applet</seg>
-        <seg>libgdict-1.0.{so,a}</seg>
+        <seg>libgdict-1.0.so</seg>
         <seg><envar>$GNOME_PREFIX</envar>/{include/gdict-1.0/gdict,
         lib/gnome-utils,share/{baobab/pixmaps,gdict-1.0/sources,
@@ -191,10 +184,10 @@
 
       <varlistentry id="libgdict-1.0">
-        <term><filename class='libraryfile'>libgdict-1.0.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libgdict-1.0.so</filename></term>
         <listitem>
           <para>contains the <application>GNOME</application> dictionary API
           functions.</para>
           <indexterm zone="gnome-utils libgdict-1.0">
-            <primary sortas="c-libgdict-1.0">libgdict-1.0.{so,a}</primary>
+            <primary sortas="c-libgdict-1.0">libgdict-1.0.so</primary>
           </indexterm>
         </listitem>
Index: gnome/core/sushi.xml
===================================================================
--- gnome/core/sushi.xml	(revision 7a00c50e3c1216ee14aa34f2daccf05286537362)
+++ gnome/core/sushi.xml	(revision 1228252aa824ed3394bfd37fdb5401f2cf16b16f)
@@ -9,6 +9,6 @@
   <!ENTITY sushi-md5sum        "36f79d8dbd46327d6aefc629a4b61723">
   <!ENTITY sushi-size          "290 KB">
-  <!ENTITY sushi-buildsize     "?? MB">
-  <!ENTITY sushi-time          "?? SBU">
+  <!ENTITY sushi-buildsize     "5.5 MB">
+  <!ENTITY sushi-time          "0.3 SBU">
 ]>
 
@@ -33,5 +33,5 @@
     for <application>Nautilus</application>.</para>
 
-    &lfs68_built;
+    &lfs70_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -87,5 +87,4 @@
 
 <screen><userinput>./configure --prefix=$GNOME_PREFIX \
-            --sysconfdir=$GNOME_SYSCONFDIR \
             --libexecdir=$GNOME_PREFIX/lib/sushi &amp;&amp;
 make</userinput></screen>
@@ -102,9 +101,7 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--sysconfdir=$GNOME_SYSCONFDIR</parameter>: This parameter does
-    something mandatory for BLFS purposes.</para>
-
-    <para><parameter>--libexecdir=$GNOME_PREFIX/lib/sushi</parameter>: This parameter does
-    something mandatory for BLFS purposes.</para>
+    <para><parameter>--libexecdir=$GNOME_PREFIX/lib/sushi</parameter>: This parameter
+    ensures <filename>sushi-start</filename> is installed in a FHS-compliant location.
+    </para>
 
   </sect2>
@@ -133,22 +130,12 @@
         <term><command>sushi</command></term>
         <listitem>
-          <para>does this .....</para>
+          <para>is a graphics file viewer.</para>
           <indexterm zone="sushi sushi-prog">
-            <primary sortas="b-sushi-prog">sushi-prog</primary>
+            <primary sortas="b-sushi-prog">sushi</primary>
           </indexterm>
         </listitem>
       </varlistentry>
 
-      <varlistentry id="sushi-start">
-        <term><command>sushi-start</command></term>
-        <listitem>
-          <para>does this .....</para>
-          <indexterm zone="sushi sushi-start">
-            <primary sortas="b-sushi-start">sushi-start</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libsushi-1">
+      <!--<varlistentry id="libsushi-1">
         <term><filename class='libraryfile'>libsushi-1.0.so</filename></term>
         <listitem>
@@ -158,5 +145,5 @@
           </indexterm>
         </listitem>
-      </varlistentry>
+      </varlistentry>-->
 
     </variablelist>