Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2f4f2b6bb909e483bce0ab7b526843fc4ecc322f)
+++ introduction/welcome/changelog.xml	(revision 12341a8ddffee0869c0fc7a68014ae1763887176)
@@ -45,4 +45,8 @@
       <para>April 7th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[xry111] - Update to ghostscript-9.27.  Fixes
+          <ulink url="&blfs-ticket-root;11898">#11898</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to samba-4.10.1. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 2f4f2b6bb909e483bce0ab7b526843fc4ecc322f)
+++ packages.ent	(revision 12341a8ddffee0869c0fc7a68014ae1763887176)
@@ -987,5 +987,5 @@
 <!ENTITY cups-version                 "2.2.11">
 <!ENTITY cups-filters-version         "1.22.3">
-<!ENTITY gs-version                   "9.26">
+<!ENTITY gs-version                   "9.27">
 <!ENTITY gutenprint-version           "5.2.14">
 
Index: pst/printing/gs.xml
===================================================================
--- pst/printing/gs.xml	(revision 2f4f2b6bb909e483bce0ab7b526843fc4ecc322f)
+++ pst/printing/gs.xml	(revision 12341a8ddffee0869c0fc7a68014ae1763887176)
@@ -10,7 +10,7 @@
   "https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs926/ghostscript-&gs-version;.tar.gz">
   <!ENTITY gs-download-ftp  " ">
-  <!ENTITY gs-md5sum        "806bc2dedbc7f69b003f536658e08d4a">
-  <!ENTITY gs-size          "40 MB">
-  <!ENTITY gs-buildsize     "157 MB (with fonts and libgs.so)">
+  <!ENTITY gs-md5sum        "dd531503dbbc524f73528359e2ea145c">
+  <!ENTITY gs-size          "32 MB">
+  <!ENTITY gs-buildsize     "332 MB (with fonts and libgs.so)">
   <!ENTITY gs-time          "1.7 SBU (Using parallelism=4; with libgs.so)">
 
@@ -72,13 +72,4 @@
 
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required Patch: <ulink
-          url="&patch-root;/ghostscript-&gs-version;-upstream_fixes-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
 
       <para>If you wish, you can download additional fonts.</para>
@@ -122,6 +113,7 @@
       <xref linkend="libjpeg"/>,
       <xref linkend="libpng"/>,
-      <xref linkend="libtiff"/>, and
-      <xref linkend="lcms2"/>
+      <xref linkend="libtiff"/>,
+      <xref linkend="lcms2"/>, and
+      <xref linkend="openjpeg2"/>
     </para>
 
@@ -166,14 +158,13 @@
       remove the copies of
       <application>freetype</application>, <application>lcms2</application>,
-      <application>libjpeg</application>, and <application>libpng</application>:
-    </para>
-
-<screen><userinput>rm -rf freetype lcms2mt jpeg libpng</userinput></screen>
+      <application>libjpeg</application>, <application>libpng</application>,
+      and <application>openjpeg</application>:
+    </para>
+
+<screen><userinput>rm -rf freetype lcms2mt jpeg libpng openjpeg</userinput></screen>
 
     <para>Compile <application>Ghostscript</application>:</para>
 
 <screen><userinput>rm -rf zlib &amp;&amp;
-
-patch -Np1 -i ../ghostscript-&gs-version;-upstream_fixes-1.patch &amp;&amp;
 
 ./configure --prefix=/usr           \
@@ -220,5 +211,6 @@
 <!-- Starting with 9.23, the install does not seem to copy the examples any more -->
 
-<screen role="root"><userinput>ln -sfvn ../ghostscript/&gs-version;/doc /usr/share/doc/ghostscript-&gs-version;  &amp;&amp;
+<screen role="root"><userinput>mv -v /usr/share/doc/ghostscript/&gs-version; /usr/share/doc/ghostscript-&gs-version;  &amp;&amp;
+rm -rfv /usr/share/doc/ghostscript &amp;&amp;
 cp -a examples/ /usr/share/ghostscript/&gs-version;/</userinput></screen>
 
@@ -276,6 +268,7 @@
 
     <para>
-      <command>ln -sfvn ../ghostscript-&gs-version;/doc ... </command>: This puts
-      a symbolic link to the documentation where it is expected to be found.
+        <command>mv -v /usr/share/doc/ghostscript/&gs-version;
+        /usr/share/doc/ghostscript-&gs-version;</command>: This moves the
+        documentation where it is expected to be found.
     </para>
 