Index: server/databases/mariadb.xml
===================================================================
--- server/databases/mariadb.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/databases/mariadb.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -363,9 +363,14 @@
 
     <sect3 id="mariadb-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <para>
-        Install the <filename>/etc/rc.d/init.d/mysql</filename> init script
-        included in the <xref linkend="bootscripts" revision="sysv"/>
+        Install the
+        <phrase revision="sysv"><filename>/etc/rc.d/init.d/mysql</filename> init
+        script</phrase>
+        <phrase revision="systemd"><filename>mysqld.service</filename>
+        unit</phrase> included in the
+        <xref linkend="bootscripts" revision="sysv"/>
         <xref linkend="systemd-units" revision="systemd"/> package as
         the <systemitem class="username">root</systemitem> user to start the
@@ -377,5 +382,7 @@
       </indexterm>
 
-<screen role="root"><userinput>make install-mysql</userinput></screen>
+<screen role="root" revision="sysv"><userinput>make install-mysql</userinput></screen>
+
+<screen role="root" revision="systemd"><userinput>make install-mysqld</userinput></screen>
 
     </sect3>
Index: server/databases/postgresql.xml
===================================================================
--- server/databases/postgresql.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/databases/postgresql.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -247,8 +247,12 @@
 
     <sect3  id="postgresql-init">
-      <title>Boot Script</title>
-
-      <para>Install the <filename>/etc/rc.d/init.d/postgresql</filename>
-      init script included in the
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
+
+      <para>Install the
+      <phrase revision="sysv"><filename>/etc/rc.d/init.d/postgresql</filename>
+      init script</phrase>
+      <phrase revision="systemd"><filename>postgresql.service</filename>
+      unit</phrase> included in the
       <xref linkend="bootscripts" revision="sysv"/>
       <xref linkend="systemd-units" revision="systemd"/> package.</para>
Index: server/mail/dovecot.xml
===================================================================
--- server/mail/dovecot.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/mail/dovecot.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -121,11 +121,19 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr \
-            --sysconfdir=/etc \
-            --localstatedir=/var \
+<screen revision="sysv"><userinput>./configure --prefix=/usr                          \
+            --sysconfdir=/etc                      \
+            --localstatedir=/var                   \
             --docdir=/usr/share/doc/dovecot-&dovecot-version; \
             --disable-static &amp;&amp;
 make</userinput></screen>
 
+<screen revision="systemd"><userinput>./configure --prefix=/usr                          \
+            --sysconfdir=/etc                      \
+            --localstatedir=/var                   \
+            --docdir=/usr/share/doc/dovecot-&dovecot-version; \
+            --disable-static                       \
+            --with-systemdsystemunitdir=/lib/systemd/system &amp;&amp;
+make</userinput></screen>
+
     <para>To test the results, issue <command>make -k check</command>. One test
     fails for unknown reason</para>
@@ -144,4 +152,10 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/static-libraries.xml"/>
+
+    <para>
+      <parameter>--with-systemdsystemunitdir=/lib/systemd/system</parameter>:
+      This switch is used to set the correct installation directory for
+      systemd units.
+    </para>
 
     <para>
@@ -244,11 +258,15 @@
 
     <sect3 id="dovecot-init">
-      <title>Boot Script</title>
-
-      <para>If you want the <application>Dovecot</application> server to
-      start automatically when the system is booted, install the
-      <filename>/etc/rc.d/init.d/dovecot</filename> init script included
-      in the <xref linkend="bootscripts" revision="sysv"/>
-      <xref linkend="systemd-units" revision="systemd"/> package.</para>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
+
+      <para revision="sysv">If you want the <application>Dovecot</application>
+      server to start automatically when the system is booted, install the
+      <filename>/etc/rc.d/init.d/dovecot</filename> init script included in the
+      <xref linkend="bootscripts"/> package.</para>
+
+      <para revision="systemd">To start the <command>dovecot</command>
+      daemon at boot, enable the previously installed systemd unit with the
+      following command:</para>
 
       <indexterm zone="dovecot dovecot-init">
@@ -256,5 +274,7 @@
       </indexterm>
 
-<screen role="root"><userinput>make install-dovecot</userinput></screen>
+<screen role="root" revision="sysv"><userinput>make install-dovecot</userinput></screen>
+
+<screen role="root" revision="systemd"><userinput>systemctl enable dovecot</userinput></screen>
 
     </sect3>
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/mail/exim.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -301,11 +301,14 @@
 
     <sect3  id="exim-init">
-      <title>Boot Script</title>
-
-      <para>To automate the running of <command>exim</command> at startup,
-      install the <filename>/etc/rc.d/init.d/exim</filename> init script
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
+
+      <para>To automatically start <command>exim</command> at boot,
+      install the
+      <phrase revision="sysv"><filename>/etc/rc.d/init.d/exim</filename>
+      init script</phrase>
+      <phrase revision="systemd"><filename>exim.service</filename> unit</phrase>
       included in the <xref linkend="bootscripts" revision="sysv"/>
-      <xref linkend="systemd-units" revision="systemd"/>
-      package.</para>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="exim exim-init">
@@ -315,7 +318,8 @@
 <screen role="root"><userinput>make install-exim</userinput></screen>
 
-      <para>The bootscript also starts the <application>Exim</application>
-      daemon and dispatches a queue runner process every 15 minutes. Modify
-      the <option>-q<replaceable>&lt;time interval&gt;</replaceable></option>
+      <para revision="sysv">The bootscript also starts the
+      <application>Exim</application> daemon and dispatches a queue runner
+      process every 15 minutes. Modify the
+      <option>-q<replaceable>&lt;time interval&gt;</replaceable></option>
       parameter in <filename>/etc/rc.d/init.d/exim</filename>, if necessary
       for your installation.</para>
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/mail/postfix.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -402,10 +402,14 @@
 
     <sect3 id="postfix-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <para>
         To automate the running of Postfix at startup, install the
-        <filename>/etc/rc.d/init.d/postfix</filename> init script included in
-        the <xref linkend="bootscripts" revision="sysv"/>
+        <phrase revision="sysv"><filename>/etc/rc.d/init.d/postfix</filename>
+        init script</phrase>
+        <phrase revision="systemd"><filename>postfix.service</filename>
+        unit</phrase> included in the
+        <xref linkend="bootscripts" revision="sysv"/>
         <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
Index: server/mail/sendmail.xml
===================================================================
--- server/mail/sendmail.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/mail/sendmail.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -261,9 +261,13 @@
 
     <sect3  id="sendmail-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <para>To automate the running of <application>sendmail</application>
-      at startup, install the <filename>/etc/rc.d/init.d/sendmail</filename>
-      init script included in the
+      at startup, install the 
+      <phrase revision="sysv"><filename>/etc/rc.d/init.d/sendmail</filename>
+      init script</phrase>
+      <phrase revision="systemd"><filename>sendmail.service</filename>
+      unit</phrase> included in the
       <xref linkend="bootscripts" revision="sysv"/>
       <xref linkend="systemd-units" revision="systemd"/> package.</para>
@@ -278,8 +282,9 @@
         <para>The -qNm option to <command>sendmail</command>, where N is number
         of minutes, controls how often <application>sendmail</application> will
-        process the mail queue. A default of 5 minutes is used in the init
-        script. Individual workstation users may want to set this as low as 1
-        minute, large installations handling more mail may want to set it
-        higher.</para>
+        process the mail queue. A default of 5 minutes is used in the
+        <phrase revision="sysv">init script.</phrase>
+        <phrase revision="systemd">systemd unit.</phrase> Individual
+        workstation users may want to set this as low as 1 minute, large
+        installations handling more mail may want to set it higher.</para>
       </note>
 
Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/major/apache.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -268,11 +268,15 @@
 
     <sect3  id="httpd-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <para>
         If you want the <application>Apache</application> server to
         start automatically when the system is booted, install the
-        <filename>/etc/rc.d/init.d/httpd</filename> init script included
-        in the <xref linkend="bootscripts" revision="sysv"/>
+        <phrase revision="sysv"><filename>/etc/rc.d/init.d/httpd</filename>
+        init script</phrase>
+        <phrase revision="systemd"><filename>httpd.service</filename>
+        unit</phrase> included in the
+        <xref linkend="bootscripts" revision="sysv"/>
         <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/major/bind.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -405,9 +405,13 @@
 
     <sect3  id="bind-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <para>To start the DNS server at boot, install the
-      <filename>/etc/rc.d/init.d/bind</filename> init script included
-      in the <xref linkend="bootscripts" revision="sysv"/>
+      <phrase revision="sysv"><filename>/etc/rc.d/init.d/bind</filename> init
+      script</phrase>
+      <phrase revision="systemd"><filename>named.service</filename>
+      unit</phrase> included in the
+      <xref linkend="bootscripts" revision="sysv"/>
       <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
@@ -419,7 +423,8 @@
 
       <para>Now start <application>BIND</application> with
-      the new boot script:</para>
-
-<screen role="root"><userinput>/etc/rc.d/init.d/bind start</userinput></screen>
+      the following command:</para>
+
+<screen role="root" revision="sysv"><userinput>/etc/rc.d/init.d/bind start</userinput></screen>
+<screen role="root" revision="systemd"><userinput>systemctl start named</userinput></screen>
 
     </sect3>
Index: server/major/proftpd.xml
===================================================================
--- server/major/proftpd.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/major/proftpd.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -233,8 +233,13 @@
 
     <sect3  id="proftpd-init">
-      <title>Boot Script</title>
-
-      <para>Install the <filename>/etc/rc.d/init.d/proftpd</filename> init
-      script included in the <xref linkend="bootscripts" revision="sysv"/>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
+
+      <para>Install the 
+      <phrase revision="sysv"><filename>/etc/rc.d/init.d/proftpd</filename>
+      init script</phrase>
+      <phrase revision="systemd"><filename>proftpd.service</filename>
+      unit</phrase> included in the
+      <xref linkend="bootscripts" revision="sysv"/>
       <xref linkend="systemd-units" revision="systemd"/>
       package.</para>
Index: server/major/vsftpd.xml
===================================================================
--- server/major/vsftpd.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/major/vsftpd.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -216,10 +216,10 @@
              <phrase revision="systemd">Systemd Unit</phrase></title>
 
-      <para revision="sysv">Install the
-      <filename>/etc/rc.d/init.d/vsftpd</filename> init script included in the
-      <xref linkend="bootscripts" revision="sysv"/> package.</para>
-
-      <para revision="systemd">Install the <filename>vsftpd.service</filename>
-      unit included in the
+      <para>Install the
+      <phrase revision="sysv"><filename>/etc/rc.d/init.d/vsftpd</filename> init
+      script</phrase>
+      <phrase revision="systemd"><filename>vsftpd.service</filename>
+      unit</phrase> included in the
+      <xref linkend="bootscripts" revision="sysv"/>
       <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
Index: server/other/openldap.xml
===================================================================
--- server/other/openldap.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/other/openldap.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -411,12 +411,17 @@
 
     <sect3 id="openldap-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <para>
         To automate the startup of the LDAP server at system bootup,
-        install the <filename>/etc/rc.d/init.d/slapd</filename> init script
-        included in the <xref linkend="bootscripts" revision="sysv"/>
-        <xref linkend="systemd-units" revision="systemd"/> package
-        using the following command:
+        install the
+        <phrase revision="sysv"><filename>/etc/rc.d/init.d/slapd</filename>
+        init script</phrase>
+        <phrase revision="systemd"><filename>slapd.service</filename>
+        unit</phrase> included in the
+        <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/>
+        package using the following command:
       </para>
 
@@ -430,7 +435,8 @@
         <para>
           You'll need to modify the
-          <filename>/etc/sysconfig/slapd</filename> to include the
-          parameters needed for your specific configuration. See the
-          <command>slapd</command> man page for parameter information.
+          <phrase revision="sysv"><filename>/etc/sysconfig/slapd</filename></phrase>
+          <phrase revision="systemd"><filename>/etc/default/slapd</filename></phrase>
+          to include the parameters needed for your specific configuration. See
+          the <command>slapd</command> man page for parameter information.
         </para>
       </note>
@@ -442,8 +448,12 @@
 
       <para>
-        Start the LDAP server using the init script:
-      </para>
-
-<screen role="root"><userinput>/etc/rc.d/init.d/slapd start</userinput></screen>
+        Start the LDAP server using
+        <phrase revision="sysv">the init script:</phrase>
+        <phrase revision="systemd">systemctl:</phrase>
+      </para>
+
+<screen role="root" revision="sysv"><userinput>/etc/rc.d/init.d/slapd start</userinput></screen>
+
+<screen role="root" revision="systemd"><userinput>systemctl start slapd</userinput></screen>
 
       <para>
Index: server/other/unbound.xml
===================================================================
--- server/other/unbound.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/other/unbound.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -228,9 +228,13 @@
 
     <sect3 id="unbound-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <para>If you want the <application>Unbound</application> server to
       start automatically when the system is booted, install the
-      <filename>/etc/rc.d/init.d/unbound</filename> init script included
+      <phrase revision="sysv"><filename>/etc/rc.d/init.d/unbound</filename>
+      init script</phrase>
+      <phrase revision="systemd"><filename>unbound.service</filename>
+      unit</phrase> included
       in the <xref linkend="bootscripts" revision="sysv"/>
       <xref linkend="systemd-units" revision="systemd"/> package.</para>
Index: server/other/xinetd.xml
===================================================================
--- server/other/xinetd.xml	(revision bea508c3f448a290feafc49cc3b504f0b2d36cc3)
+++ server/other/xinetd.xml	(revision 125812551067119d17728ba9067bc097e30eae93)
@@ -397,8 +397,12 @@
 
     <sect3  id="xinetd-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
 
       <para>As the <systemitem class="username">root</systemitem> user, install
-      the <filename>/etc/rc.d/init.d/xinetd</filename> init script included in
+      the <phrase revision="sysv"><filename>/etc/rc.d/init.d/xinetd</filename>
+      init script</phrase>
+      <phrase revision="systemd"><filename>xinetd.service</filename>
+      unit</phrase> included in
       the <xref linkend="bootscripts" revision="sysv"/>
       <xref linkend="systemd-units" revision="systemd"/> package.</para>
@@ -411,11 +415,18 @@
 
       <para>As the <systemitem class="username">root</systemitem> user,
-      use the new boot script to start <command>xinetd</command>:</para>
-
-<screen role="root"><userinput>/etc/rc.d/init.d/xinetd start</userinput></screen>
-
-      <para>Check the <filename>/var/log/daemon.log</filename> to ensure the
-      appropriate services are started. If no services are enabled, the program
-      will not start without the <option>-stayalive</option> option.</para>
+      use the <phrase revision="sysv">new boot script</phrase>
+      <phrase revision="systemd"><command>systemctl</command> command</phrase>
+      to start <command>xinetd</command>:</para>
+
+<screen role="root" revision="sysv"><userinput>/etc/rc.d/init.d/xinetd start</userinput></screen>
+
+<screen role="root" revision="systemd"><userinput>systemctl start xinetd</userinput></screen>
+
+      <para>Check the
+      <phrase revision="sysv"><filename>/var/log/daemon.log</filename></phrase>
+      <phrase revision="systemd"><command>journalctl</command> output</phrase>
+      to ensure the appropriate services are started. If no services are
+      enabled, the program will not start without the
+      <option>-stayalive</option> option.</para>
 
 <!--