Index: xincludes/qt-alternatives.xml
===================================================================
--- xincludes/qt-alternatives.xml	(revision 13103ed3070637ce4a2c291fea548405accc26f3)
+++ xincludes/qt-alternatives.xml	(revision 13103ed3070637ce4a2c291fea548405accc26f3)
@@ -0,0 +1,64 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [    
+   <!ENTITY % general-entities SYSTEM "../general.ent">
+   %general-entities;
+]>
+
+<!-- $LastChangedBy: $
+     $Date: $ -->
+
+<sect2>
+    <title>Qt Installation Alternatives</title>
+
+    <para>The installation of <application>Qt</application> presents 
+    several challenges and choices. Complicating the Qt installation is the fact
+    that there are two versions,  <application>Qt4</application> and 
+    <application>Qt5</application>, that have executable programs with
+    identical names.  If both packages are installed on one system,
+    the only methods to manage which set of programs is used is to
+    either control the users' <envar>PATH</envar> or to rename files
+    either directly or via symbolic links.  Both packages cannot
+    be installed in the same directory.
+    </para>
+
+    <para>If you are only going to install one of the Qt versions, 
+    the choice of installation methods is easier.  You can either 
+    install the components in the several directories of the <filename
+    class='directory'>/usr</filename> hierarchy or install the 
+    entire package in a separate directory of your choice.  We
+    refer to these options below as "Method 1: Installing in /usr" 
+    and "Method 2: Installing in /opt".</para>
+
+    <para>If both versions of Qt are to be installed, one or both versions need
+    to be installed in a separate directory.  For the purposes here we use the
+    <filename class='directory'>/opt</filename> directory.  The selection of
+    which version is being used by individual users on a system is controlled
+    by the <envar>PATH</envar> variable.  Other systems can be designed, but
+    the BLFS editors find the <envar>PATH</envar> method easiest.</para>
+
+    <para> The advantage of installing in <filename
+    class='directory'>/usr</filename> is that no updates to the
+    <filename>/etc/ld.so.conf</filename> or
+    <filename>/etc/man_db.conf</filename> files are required. The package files
+    are distributed within several subdirectories of the <filename
+    class='directory'>/usr</filename> hierarchy.  This is the method that most
+    commercial distributions use.  The disadvantage for BLFS users is that this
+    Qt instance cannot be upgraded while it is in use.  For instance, it cannot
+    be upgraded from a running KDE environment.  It also precludes having
+    multiple versions of Qt on your system and does not allow reverting to 
+    an existing, known working instance of Qt.</para>
+
+    <para> The advantage of installing <application>Qt</application> in a
+    custom directory such as 
+    <filename class='directory'>/opt/qt-&qt4-version;</filename> or 
+    <filename class='directory'>/opt/qt-&qt5-version;</filename> or 
+    is that it keeps all the
+    package files consolidated in a dedicated directory hierarchy. By using
+    this method, an update can be made without overwriting a previous
+    installation and users can easily revert to a previous version by changing
+    one symbolic link or merely changing the PATH variable.  It also allows a
+    developer to maintain multiple versions of <application>Qt4</application>
+    or <application>Qt5</application> for testing.  </para>
+
+</sect2>
Index: xincludes/setqt.xml
===================================================================
--- xincludes/setqt.xml	(revision 13103ed3070637ce4a2c291fea548405accc26f3)
+++ xincludes/setqt.xml	(revision 13103ed3070637ce4a2c291fea548405accc26f3)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [    
+   <!ENTITY % general-entities SYSTEM "../general.ent">
+   %general-entities;
+]>
+
+<!-- $LastChangedBy: $
+     $Date: $ -->
+
+<sect3>
+    <title>Choosing Qt Program Versions</title>
+
+    <para>If you install both Qt4 and Qt5, you can use some simple
+    scripts to select the currently active set of Qt programs.  As the 
+    <systemitem class="username">root</systemitem> user, create
+    the following scripts:</para>
+
+<screen role="root"><userinput>cat &gt; /usr/bin/setqt4 &lt;&lt; 'EOF'
+<literal>if [ "x$QT5DIR" != "x/usr" ]; then pathremove  $QT5DIR/bin; fi
+if [ "x$QTDIR"  != "x/usr" ]; then pathprepend $QTDIR/bin;  fi
+echo $PATH</literal>
+EOF</userinput></screen>
+
+<screen role="root"><userinput>cat &gt; /usr/bin/setqt5 &lt;&lt; 'EOF'
+<literal>if [ "x$QTDIR"  != "x/usr" ]; then pathremove  $QTDIR/bin;  fi
+if [ "x$QT5DIR" != "x/usr" ]; then pathprepend $QT5DIR/bin; fi
+echo $PATH</literal>
+EOF</userinput></screen>
+
+    <para>You should now be able to use the appropriate Qt version by running
+    <command>source setqt4</command> or <command>source setqt4</command> as
+    desired. (Setting the PATH wont work in a subshell.) Another technique that
+    can be used is to create appropriate alias additions to your ~/.bashrc like
+    <command>alias setqt4='source setqt4'</command>.</para>
+
+</sect3>