Index: postlfs/editors/bluefish.xml
===================================================================
--- postlfs/editors/bluefish.xml	(revision 823b1a3b19566d8efcb53b5a913558fd7be10ea5)
+++ postlfs/editors/bluefish.xml	(revision 13679edb7a8de1fd9e1c24187f3cbf8bb8ab2169)
@@ -31,5 +31,5 @@
 
     <para>The <application>Bluefish</application> package contains a powerful X
-    Window System editor designed for web designers, but which is also suitable
+    Window System editor designed for web designers, but also suitable
     as a programmer's editor.  Bluefish supports many programming and markup
     languages, and as such is ideal for editing XML and HTML files.</para>
Index: postlfs/editors/ed.xml
===================================================================
--- postlfs/editors/ed.xml	(revision 823b1a3b19566d8efcb53b5a913558fd7be10ea5)
+++ postlfs/editors/ed.xml	(revision 13679edb7a8de1fd9e1c24187f3cbf8bb8ab2169)
@@ -139,6 +139,7 @@
         <term><command>red</command></term>
         <listitem>
-          <para>is a restricted ed&mdash;it can only edit files in the
-          current directory and cannot execute shell commands.</para>
+          <para>is a restricted <command>ed</command>&mdash;it can only edit
+          files in the current directory and cannot execute shell
+          commands.</para>
           <indexterm zone="ed red">
             <primary sortas="b-red">red</primary>
Index: postlfs/editors/emacs.xml
===================================================================
--- postlfs/editors/emacs.xml	(revision 823b1a3b19566d8efcb53b5a913558fd7be10ea5)
+++ postlfs/editors/emacs.xml	(revision 13679edb7a8de1fd9e1c24187f3cbf8bb8ab2169)
@@ -30,5 +30,5 @@
     <title>Introduction to Emacs</title>
 
-    <para>The <application>Emacs</application> package contains the extensible,
+    <para>The <application>Emacs</application> package contains an extensible,
     customizable, self-documenting real-time display editor.</para>
 
@@ -61,5 +61,5 @@
     <xref linkend="libjpeg"/>,
     <xref linkend="libpng"/>,
-    <xref linkend="libtiff"/> and
+    <xref linkend="libtiff"/>, and
     <xref linkend="libungif"/> or <xref linkend="giflib"/></para>
 
@@ -72,6 +72,5 @@
     commands:</para>
 
-<screen><userinput>./configure --prefix=/usr \
-   --libexecdir=/usr/sbin &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/sbin &amp;&amp;
 make bootstrap</userinput></screen>
 
@@ -149,5 +148,5 @@
         <term><command>emacsclient</command></term>
         <listitem>
-          <para>attaches an emacs <command>session</command> to an already
+          <para>attaches an <command>emacs</command> session to an already
           running <command>emacsserver</command> instance.</para>
           <indexterm zone="emacs emacsclient">
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision 823b1a3b19566d8efcb53b5a913558fd7be10ea5)
+++ postlfs/editors/nano.xml	(revision 13679edb7a8de1fd9e1c24187f3cbf8bb8ab2169)
@@ -69,5 +69,5 @@
     commands:</para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc \
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc/nano \
     --enable-color --enable-multibuffer --enable-nanorc &amp;&amp;
 make</userinput></screen>
@@ -78,6 +78,7 @@
 
 <screen role="root"><userinput>make install &amp;&amp;
-mkdir -v -p /usr/share/doc/nano/examples &amp;&amp;
-cp -v nanorc.sample /usr/share/doc/nano/examples</userinput></screen>
+install -v -m644 -D nanorc.sample /etc/nano/nanorc.sample &amp;&amp;
+install -v -m755 -d /usr/share/doc/nano-&nano-version; &amp;&amp;
+install -v -m644 *.html /usr/share/doc/nano-&nano-version;</userinput></screen>
 
   </sect2>
@@ -89,9 +90,9 @@
       <title>Config Files</title>
 
-      <para><filename>/etc/nanorc</filename> and
+      <para><filename>/etc/nano/nanorc</filename> and
       <filename>~/.nanorc</filename></para>
 
       <indexterm zone="nano nano-config">
-        <primary sortas="e-etc-nanorc">/etc/nanorc</primary>
+        <primary sortas="e-etc-nano-nanorc">/etc/nano/nanorc</primary>
       </indexterm>
 
@@ -105,5 +106,7 @@
       <title>Configuration Information</title>
 
-      <para>Example configuration</para>
+      <para>Example configuration (create as a system-wide
+      <filename>/etc/nano/nanorc</filename> or a personal
+      <filename>~/.nanorc</filename> file)</para>
 
 <screen><literal>set autoindent
@@ -117,8 +120,8 @@
 set suspend</literal></screen>
 
-      <para>Another example is in the <filename
-      class="directory">/usr/share/doc/nano/examples</filename> directory
-      in the <filename>nanorc.sample</filename> file.  It includes color
-      configurations and has some documentation included in the comments.</para>
+      <para>Another example is the <filename>nanorc.sample</filename> file
+      in the <filename class="directory">/etc/nano</filename> directory.
+      It includes color configurations and has some documentation included
+      in the comments.</para>
 
     </sect3>
Index: postlfs/editors/vim.xml
===================================================================
--- postlfs/editors/vim.xml	(revision 823b1a3b19566d8efcb53b5a913558fd7be10ea5)
+++ postlfs/editors/vim.xml	(revision 13679edb7a8de1fd9e1c24187f3cbf8bb8ab2169)
@@ -175,5 +175,5 @@
         <listitem>
           <para>is the editor that runs under <application>X</application>
-          and includes a GUI</para>
+          and includes a GUI.</para>
           <indexterm zone="vim gvim">
             <primary sortas="b-gvim">gvim</primary>
@@ -186,5 +186,5 @@
         <listitem>
           <para>edits two or three versions of a file with
-          <command>gvim</command> and show differences.</para>
+          <command>gvim</command> and shows the differences.</para>
           <indexterm zone="vim gvimdiff">
             <primary sortas="b-gvimdiff">gvimdiff</primary>