Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision 1b747ab601763c3fd4ba4ba97d9d82b38e297dcb)
+++ general/genlib/glib2.xml	(revision 14726fe5e30e415313f3923287cc85cfcc83f2bd)
@@ -7,8 +7,8 @@
   <!ENTITY glib2-download-http "&gnome-download-http;/glib/&glib2-minor;/glib-&glib2-version;.tar.xz">
   <!ENTITY glib2-download-ftp  "&gnome-download-ftp;/glib/&glib2-minor;/glib-&glib2-version;.tar.xz">
-  <!ENTITY glib2-md5sum        "018d2954ecbef1cd9e25c9bbe75475ca">
+  <!ENTITY glib2-md5sum        "163f2954e75557b86a7aceacd797fc98">
   <!ENTITY glib2-size          "4.6 MB">
   <!ENTITY glib2-buildsize     "205 MB (add 5 MB for tests)">
-  <!ENTITY glib2-time          "0.5 SBU (add 0.5 SBU for tests; both using parallelism=4)">
+  <!ENTITY glib2-time          "0.5 SBU (add 1.5 SBU for tests; both using parallelism=4)">
 ]>
 
@@ -285,5 +285,6 @@
           /usr/include/glib-2.0,
           /usr/lib/glib-2.0,
-          /usr/share/glib-2.0, and 
+          /usr/share/glib-2.0,
+          /usr/share/doc/glib-&glib2-version;, and 
           /usr/share/gtk-doc/html/{gio,glib,gobject}
         </seg>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1b747ab601763c3fd4ba4ba97d9d82b38e297dcb)
+++ introduction/welcome/changelog.xml	(revision 14726fe5e30e415313f3923287cc85cfcc83f2bd)
@@ -46,4 +46,18 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Fixed a regression in avahi that leads to severe 
+          log spam on systems with multiple NICs installed and that have IPv6
+          enabled.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to glib2-2.66.2. Contains a fix for European 
+          Daylight Savings Time. Fixes
+          <ulink url="&blfs-ticket-root;14150">#14150</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to curl-7.73.0. Fixes
+          <ulink url="&blfs-ticket-root;14140">#14140</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Update to firefox-78.4.0 and
           JS78.4.0. Fixes
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision 1b747ab601763c3fd4ba4ba97d9d82b38e297dcb)
+++ networking/netlibs/curl.xml	(revision 14726fe5e30e415313f3923287cc85cfcc83f2bd)
@@ -7,8 +7,8 @@
   <!ENTITY curl-download-http "https://curl.haxx.se/download/curl-&curl-version;.tar.xz">
   <!ENTITY curl-download-ftp  " ">
-  <!ENTITY curl-md5sum        "b5579dcc9ae76478f4e070fb4f820223">
+  <!ENTITY curl-md5sum        "d7df02d3b78b625fee4dd765808a6eb6">
   <!ENTITY curl-size          "2.3 MB">
-  <!ENTITY curl-buildsize     "96 MB (add 17 MB for tests)">
-  <!ENTITY curl-time          "0.4 SBU (add 13 SBU for tests)">
+  <!ENTITY curl-buildsize     "94 MB (add 17 MB for tests)">
+  <!ENTITY curl-time          "0.4 SBU (add 14 SBU for tests)">
 ]>
 
@@ -163,6 +163,6 @@
     <para>
        To run the test suite, issue: <command>make test</command>. 
-       Three tests, 1700, 1701, and 1702, are known to fail due to
-       missing executables from the nghttp2 package.
+       <!-- Three tests, 1700, 1701, and 1702, are known to fail due to
+       missing executables from the nghttp2 package.-->
     </para>
 <!-- Two (of 857) tests
@@ -293,4 +293,11 @@
 Tests seem to be failing due to a missing 'nghttpx' executable
 used to start a test server.
+
+======
+Added by renodr for curl-7.73.0:
+TESTDONE: 1121 tests out of 1121 reported OK: 100%
+TESTDONE: 1387 tests were considered during 1303 seconds.
+Tests have all BLFS dependencies installed with the exception of stunnel,
+as well as the optional impacket installed.
 -->
 
Index: networking/netutils/avahi.xml
===================================================================
--- networking/netutils/avahi.xml	(revision 1b747ab601763c3fd4ba4ba97d9d82b38e297dcb)
+++ networking/netutils/avahi.xml	(revision 14726fe5e30e415313f3923287cc85cfcc83f2bd)
@@ -71,4 +71,14 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/avahi-&avahi-version;-ipv6_race_condition_fix-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Avahi Dependencies</bridgehead>
 
@@ -124,4 +134,11 @@
 
 <screen role="root"><userinput>groupadd -fg 86 netdev</userinput></screen>
+
+    <para>
+      Fix a regression that results in a race condition when IPv6 is in use
+      and multiple network adapters are present on the system:
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../avahi-&avahi-version;-ipv6_race_condition_fix-1.patch</userinput></screen>
 
     <para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 1b747ab601763c3fd4ba4ba97d9d82b38e297dcb)
+++ packages.ent	(revision 14726fe5e30e415313f3923287cc85cfcc83f2bd)
@@ -101,5 +101,5 @@
 <!ENTITY gcab-version                 "0.7">
 <!ENTITY glib2-minor                  "2.66">
-<!ENTITY glib2-version                "&glib2-minor;.1">
+<!ENTITY glib2-version                "&glib2-minor;.2">
 <!ENTITY glibmm-version               "2.64.2">
 <!ENTITY gmime-version                "2.6.23">
@@ -610,5 +610,5 @@
 <!-- Chapter 17 -->
 <!ENTITY c-ares-version               "1.16.1">
-<!ENTITY curl-version                 "7.72.0">
+<!ENTITY curl-version                 "7.73.0">
 <!ENTITY geoclue2-version             "2.5.6">
 <!ENTITY glib-networking-version      "2.66.0">