Index: basicnet/mailnews/fetchmail/fetchmail-config.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-config.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ basicnet/mailnews/fetchmail/fetchmail-config.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -20,7 +20,6 @@
 can add as many users and servers as you need using the same syntax.</para>
 
-<para><userinput>man fetchmail</userinput> Look for the section near the bottom 
-named <userinput>CONFIGURATION EXAMPLES</userinput> it gives some quick 
-examples too.  There are countless other config options once you get used to 
+<para><userinput>man fetchmail :</userinput> Look for the section near the bottom named <userinput>CONFIGURATION EXAMPLES</userinput> it gives some quick 
+examples too. There are countless other config options once you get used to 
 it.</para>
 
Index: basicnet/mailnews/fetchmail/fetchmail-desc.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-desc.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ basicnet/mailnews/fetchmail/fetchmail-desc.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The fetchmail package contains <userinput>fetchmail fetchmailconf</userinput></para>
+<para>The fetchmail package contains <userinput>fetchmail</userinput>
+and <userinput>fetchmailconf</userinput>.</para>
 
 </sect2>
Index: basicnet/mailnews/fetchmail/fetchmail-exp.xml
===================================================================
--- basicnet/mailnews/fetchmail/fetchmail-exp.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ basicnet/mailnews/fetchmail/fetchmail-exp.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -2,7 +2,7 @@
 <title>Command explanations</title>
 
-<para><userinput>--with-ssl</userinput> This enables SSL if found, so that you 
-can handle connections to secure POP3 and IMAP servers.</para>
-<para><userinput>--enable-fallback=procmail</userinput> This tells fetchmail 
+<para><userinput>--with-ssl :</userinput> This enables SSL if found, so that you can handle connections to secure POP3 and IMAP servers.</para>
+
+<para><userinput>--enable-fallback=procmail :</userinput> This tells fetchmail 
 to hand incoming mail to procmail for delivery if your port 25 mail server is 
 not present or not responding.</para>
Index: general/sysutils/cpio/cpio.ent
===================================================================
--- general/sysutils/cpio/cpio.ent	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ general/sysutils/cpio/cpio.ent	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -7,5 +7,5 @@
 <!ENTITY cpio-buildsize "1 MB">
 <!ENTITY cpio-version "2.5">
-<!ENTITY cpio-download-http "">
+<!ENTITY cpio-download-http "http://ftp.gnu.org/pub/gnu/cpio/cpio-2.5.tar.gz">
 <!ENTITY cpio-download-ftp "ftp://ftp.gnu.org/pub/gnu/cpio/cpio-2.5.tar.gz">
 <!ENTITY cpio-size "188 KB">
Index: general/sysutils/fcron/fcron-intro.xml
===================================================================
--- general/sysutils/fcron/fcron-intro.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ general/sysutils/fcron/fcron-intro.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -13,7 +13,7 @@
 
 <screen>fcron recommends:
-local mail system (<xref linkend="sendmail"/> or <xref linkend="postfix"/>, for example).
+local mail system (<xref linkend="sendmail"/> or <xref linkend="postfix"/>, for example)
 fcron utilizes:
-PAM if it is installed prior to fcron.</screen>
+<xref linkend="Linux_PAM"/></screen>
 
 </sect2>
Index: general/sysutils/gpm/gpm-desc.xml
===================================================================
--- general/sysutils/gpm/gpm-desc.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ general/sysutils/gpm/gpm-desc.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -3,5 +3,5 @@
 
 <para>The gpm package contains <userinput>gpm, gpm-root, disable-paste
-and mev</userinput></para>
+and mev</userinput>.</para>
 
 </sect2>
@@ -11,15 +11,15 @@
 <sect3><title>gpm</title>
 <para>gpm is a cut and paste utility and mouse server for virtual
-consoles</para></sect3>
+consoles.</para></sect3>
 
 <sect3><title>gpm-root</title>
 <para>gpm-root is a default handler for gpm.  It is used to draw menus on the
-root window</para></sect3>
+root window.</para></sect3>
 
 <sect3><title>disable-paste</title>
-<para>No description available</para></sect3>
+<para>No description available.</para></sect3>
 
 <sect3><title>mev</title>
-<para>mev is a program to report mouse events</para></sect3>
+<para>mev is a program to report mouse events.</para></sect3>
 
 </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ introduction/welcome/changelog.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>September 25th, 2002 [larry]: Edits, mainly trying to
+standardize exp sections and desc sections.</para></listitem>
 
 <listitem><para>September 25th, 2002 [larry]: Xsoft: Mozilla patch
Index: server/mail/exim/exim-desc.xml
===================================================================
--- server/mail/exim/exim-desc.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ server/mail/exim/exim-desc.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -59,5 +59,5 @@
 <para>exim_lock locks a mailbox file.</para></sect3>
 
-<sect3><title></title>
+<sect3><title>exim_checkaccess</title>
 <para>exim_checkaccess states whether a given recipient address from a
 given host is acceptable or not.</para></sect3>
Index: server/other/bind/bind-config-exp.xml
===================================================================
--- server/other/bind/bind-config-exp.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ server/other/bind/bind-config-exp.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -1,14 +1,14 @@
 <sect2>
 <title>Configuration command explanations</title>
-<para><userinput>
-groupadd -g 200 named &amp;&amp;
-useradd -m -g named -u 200 -s /bin/false named &amp;&amp;
-cd /home/named &amp;&amp;
-mkdir -p dev etc/namedb/slave var/run &amp;&amp;
-mknod /home/named/dev/null c 1 3 &amp;&amp;
-mknod /home/named/dev/random c 1 8 &amp;&amp;
-chmod 666 /home/named/dev/{null,random} &amp;&amp;
-mkdir /home/named/etc/namedb/pz &amp;&amp;
-cp /etc/localtime /home/named/etc : </userinput>
+<para><screen><userinput>
+groupadd -g 200 named
+useradd -m -g named -u 200 -s /bin/false named
+cd /home/named
+mkdir -p dev etc/namedb/slave var/run
+mknod /home/named/dev/null c 1 3
+mknod /home/named/dev/random c 1 8
+chmod 666 /home/named/dev/{null,random}
+mkdir /home/named/etc/namedb/pz
+cp /etc/localtime /home/named/etc : </userinput></screen>
 
 Create the unprivileged user and group named, along with device files
@@ -16,27 +16,27 @@
 
 <para><userinput>
-cat &gt; /home/named/etc/named.conf &lt;&lt; "EOF" : </userinput>
+cat &gt; /home/named/etc/named.conf &lt;&lt; "EOF" :</userinput>
 Create the BIND configuration file, from which named will read the
 location of zone files, root nameservers and secure DNS keys.</para>
 <para><userinput>
-cat &gt; /home/named/etc/namedb/pz/127.0.0 &lt;&lt; "EOF" : </userinput>
+cat &gt; /home/named/etc/namedb/pz/127.0.0 &lt;&lt; "EOF" :</userinput>
 Create a single zone file.</para>
 <para><userinput>
-cat > /home/named/etc/namedb/root.hints << "EOF" : </userinput>
+cat > /home/named/etc/namedb/root.hints << "EOF" :</userinput>
 The root.hints file is a list of root nameservers.  This file must be
 updated periodically with the dig utility.  Consult the BIND 9
 Administrator Reference Manual for details.</para>
 <para><userinput>
-cat > /etc/rndc.conf << "EOF" : </userinput>
+cat > /etc/rndc.conf << "EOF" :</userinput>
 The rncd.conf file contains information for controlling named
 operations with the rndc utility.</para>
 
 <para><userinput>
-cat > /etc/resolv.conf << "EOF" : </userinput>
+cat > /etc/resolv.conf << "EOF" :</userinput>
 The resolv.conf file will specify the local host(127.0.0.1) as the
 nameserver.</para>
 
 <para><userinput>
-cat > /etc/rc.d/init.d/bind << "EOF" : </userinput>
+cat > /etc/rc.d/init.d/bind << "EOF" :</userinput>
 Create the boot script for BIND 9, used to start and stop the name
 server daemon, named.</para>
Index: server/other/openssh/openssh-intro.xml
===================================================================
--- server/other/openssh/openssh-intro.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ server/other/openssh/openssh-intro.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -12,7 +12,7 @@
 
 <screen>OpenSSH depends on: 
-<xref linkend="zlib"/> and <xref linkend="openssl"/>.
+<xref linkend="zlib"/> and <xref linkend="openssl"/>
 OpenSSH will utilize: 
-X11-ssh-askpass and PAM if they are installed prior to OpenSSH.</screen>
+X11-ssh-askpass and <xref linkend="Linux_PAM"/></screen>
 
 </sect2>
Index: server/other/samba/samba-config-exp.xml
===================================================================
--- server/other/samba/samba-config-exp.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ server/other/samba/samba-config-exp.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -2,5 +2,5 @@
 <title>Configuration command explanations</title>
 <para><userinput>
-cat &gt; /etc/samba/smb.conf &lt;&lt; "EOF"</userinput>
+cat &gt; /etc/samba/smb.conf &lt;&lt; "EOF" :</userinput>
 Create a default Samba configuration file.  This configuration will
 allow Samba to act as a Primary Domain Controller for a Microsoft
@@ -18,8 +18,8 @@
 automatically on machine startup and shutdown.</para>
 
-<para><userinput>
+<para><screen><userinput>
 /usr/sbin/useradd -g 100 -d /dev/null -c \
     "Win2k Server" -s /bin/false win2kbox$ :
-</userinput>
+</userinput></screen>
 This command creates a machine trust account, necessary only for
 Windows 2000/NT servers to authenticate to our new PDC.  Machine trust
@@ -28,6 +28,5 @@
 <para>
 <userinput>
-ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc3.d/S600samba, etc.
-</userinput>
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc3.d/S600samba, etc. :</userinput>
 Create the Samba boot scripts, used to start and stop Samba
 automatically on machine startup and shutdown.</para>
Index: server/other/samba/samba-exp.xml
===================================================================
--- server/other/samba/samba-exp.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ server/other/samba/samba-exp.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -2,23 +2,17 @@
 <title>Installation command explanations</title>
 
-<para><userinput>    mkdir /var/www,  mkdir /var/www/swat :
-</userinput></para>
-<para>Directories needed for Samba Web Administration tool.</para>
+<para><screen><userinput>mkdir /var/www
+mkdir /var/www/swat :</userinput></screen>
+Directories needed for Samba Web Administration tool.</para>
 
-<para><userinput>--sysconfigdir=/etc/samba : </userinput></para>
-<para>Samba configuration file directory.</para>
+<para><userinput>--sysconfigdir=/etc/samba :</userinput> Samba configuration file directory.</para>
 
-<para><userinput>--with-privatedir=/etc/samba/private : </userinput></para>
-<para>Location of Samba <filename>smbpasswd</filename> and
-<filename>secrets.tdb</filename> file.</para>
+<para><userinput>--with-privatedir=/etc/samba/private :</userinput> Location of Samba <filename>smbpasswd</filename> and <filename>secrets.tdb</filename> file.</para>
 
-<para><userinput>--with-swatdir=/var/www/swat :</userinput></para>
-<para>Location of Samba Web Administration Tool files.</para>
-<para><userinput>echo "swat 901/tcp" &gt;&gt; /etc/services :
-</userinput></para>
-<para>Register the swat service to run on port 901.</para>
+<para><userinput>--with-swatdir=/var/www/swat :</userinput> Location of Samba Web Administration Tool files.</para>
+
+<para><userinput>echo "swat 901/tcp" &gt;&gt; /etc/services :</userinput> Register the swat service to run on port 901.</para>
 
 <para><userinput>echo "swat stream tcp nowait.400 root /usr/sbin/swat
-swat" &gt;&gt; /etc/inetd.conf : </userinput></para>
-<para>Instruct inetd where to find and how to run swat.</para>
+swat" &gt;&gt; /etc/inetd.conf :</userinput> Instruct inetd where to find and how to run swat.</para>
 </sect2>
Index: server/other/xinetd/xinetd-inst.xml
===================================================================
--- server/other/xinetd/xinetd-inst.xml	(revision 7d2ba5678b2d40e4a205fb94a93dc29a66fa2ad5)
+++ server/other/xinetd/xinetd-inst.xml	(revision 14951df61f35d6c52c948267df78db0f50b331ce)
@@ -4,5 +4,5 @@
 <para>Install xinetd by running the following commands:</para>
 <para><screen><userinput>
-./configure    --prefix=/usr &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
 make install