Index: general.ent
===================================================================
--- general.ent	(revision 71cdd2e350a67a2ac06c451ddd18dd687251fa15)
+++ general.ent	(revision 0015654c2bfc59d2b532fe757ced8e5453187c0e)
@@ -1,7 +1,7 @@
-<!ENTITY day          "30">
+<!ENTITY day          "31">
 <!ENTITY month        "01">
 <!ENTITY year         "2005">
 <!ENTITY version      "svn-&year;&month;&day;">
-<!ENTITY releasedate  "January &day;th, &year;">
+<!ENTITY releasedate  "January &day;st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "cvs">                  <!-- cvs|[release #] -->
Index: general/sysutils/sysstat.xml
===================================================================
--- general/sysutils/sysstat.xml	(revision 71cdd2e350a67a2ac06c451ddd18dd687251fa15)
+++ general/sysutils/sysstat.xml	(revision 0015654c2bfc59d2b532fe757ced8e5453187c0e)
@@ -9,5 +9,5 @@
   <!ENTITY sysstat-size          "124 KB">
   <!ENTITY sysstat-buildsize     "1.2 MB">
-  <!ENTITY sysstat-time          ".12 SBU">
+  <!ENTITY sysstat-time          "0.12 SBU">
 ]>
 
@@ -19,4 +19,6 @@
 <?dbhtml filename="sysstat.html"?>
 <title>Sysstat-&sysstat-version;</title>
+<indexterm zone="sysstat">
+<primary sortas="a-Sysstat">Sysstat</primary></indexterm>
 
 <sect2>
@@ -31,9 +33,14 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&sysstat-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&sysstat-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &sysstat-size;</para></listitem>
-<listitem><para>Estimated disk space required: &sysstat-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &sysstat-time;</para></listitem></itemizedlist>
+<listitem><para>Download (HTTP): 
+<ulink url="&sysstat-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&sysstat-download-ftp;"/></para></listitem>
+<listitem><para>Download size: 
+&sysstat-size;</para></listitem>
+<listitem><para>Estimated disk space required: 
+&sysstat-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&sysstat-time;</para></listitem></itemizedlist>
 </sect3>
 
@@ -52,6 +59,9 @@
 
 <screen><userinput><command>make config &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install</command></userinput></screen>
 
 </sect2>
@@ -100,5 +110,7 @@
 </sect3>
 
-<sect3><title>System startup information</title>
+<sect3 id="sysstat-init"><title>System startup information</title>
+<indexterm zone="sysstat sysstat-init">
+<primary sortas="f-sysstat">sysstat</primary></indexterm>
 
 <para>At system startup, a LINUX RESTART message must be inserted in the daily 
@@ -107,5 +119,6 @@
 included in the <xref linkend="intro-important-bootscripts"/> package using 
 the following command:</para>
-<screen><userinput><command>make install-sysstat</command></userinput></screen>
+
+<screen><userinput role='root'><command>make install-sysstat</command></userinput></screen>
 </sect3>
 
@@ -115,41 +128,75 @@
 <title>Contents</title>
 
-<para>The <application>Sysstat</application> package contains 
-<command>iostat</command>, 
-<command>mpstat</command>, 
-<command>sar</command>, 
-<filename>sa1</filename>, 
-<filename>sa2</filename> and 
-<filename>sadc</filename>.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>iostat</title>
-<para><command>iostat</command> reports <acronym>CPU</acronym> statistics and 
-input/output statistics for devices and partitions.</para></sect3>
-
-<sect3><title>mpstat</title>
-<para><command>mpstat</command> reports individual or combined processor 
-related statistics.</para></sect3>
-
-<sect3><title>sar</title>
-<para><command>sar</command> collects, reports and saves system activity 
-information.</para></sect3>
-
-<sect3><title>sa1</title>
-<para><filename>sa1</filename> collects and stores binary data in the system 
-activity daily data file. It is a front end to <filename>sadc</filename> 
-designed to be run from cron.</para></sect3>
-
-<sect3><title>sa2</title>
-<para><filename>sa2</filename> writes a summarized daily activity report. It 
-is a front end to <command>sar</command> designed to be run from 
-cron.</para></sect3>
-
-<sect3><title>sadc</title>
-<para><filename>sadc</filename> is the system activity data collector, used as 
-a backend for <command>sar</command>.</para></sect3>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directories</segtitle>
+
+<seglistitem>
+<seg>iostat, mpstat, sar, sa1, sa2 and sadc</seg>
+<seg>None</seg>
+<seg>/usr/lib/sa and /var/log/sa</seg>
+</seglistitem>
+</segmentedlist>
+
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
+
+<varlistentry id="iostat">
+<term><command>iostat</command></term>
+<listitem><para>reports <acronym>CPU</acronym> statistics and input/output 
+statistics for devices and partitions.</para>
+<indexterm zone="sysstat iostat">
+<primary sortas="b-iostat">iostat</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="mpstat">
+<term><command>mpstat</command></term>
+<listitem><para>reports individual or combined processor related 
+statistics.</para>
+<indexterm zone="sysstat mpstat">
+<primary sortas="b-mpstat">mpstat</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="sar">
+<term><command>sar</command></term>
+<listitem><para> collects, reports and saves system activity 
+information.</para>
+<indexterm zone="sysstat sar">
+<primary sortas="b-sar">sar</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="sa1">
+<term><command>sa1</command></term>
+<listitem><para>collects and stores binary data in the system activity daily 
+data file. It is a front end to <filename>sadc</filename> designed to be run 
+from cron.</para>
+<indexterm zone="sysstat sa1">
+<primary sortas="b-sa1">sa1</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="sa2">
+<term><command>sa2</command></term>
+<listitem><para>writes a summarized daily activity report. It is a front end 
+to <command>sar</command> designed to be run from cron.</para>
+<indexterm zone="sysstat sa2">
+<primary sortas="b-sa2">sa2</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="sadc">
+<term><command>sadc</command></term>
+<listitem><para>is the system activity data collector, used as a backend for 
+<command>sar</command>.</para>
+<indexterm zone="sysstat sadc">
+<primary sortas="b-sadc">sadc</primary>
+</indexterm></listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>